﻿﻿Ajax.Request.prototype.setRequestHeaders = Ajax.Request.prototype.setRequestHeaders.wrap(
﻿    function(original) {
﻿        this.transport.setRequestHeader("If-Modified-Since", "Thu, 1 Jan 1970 00:00:00 GMT");
﻿        original(); // then call the original version
﻿    });

﻿Ajax.JSON = Class.create(Ajax.Request, {
﻿    initialize: function($super, url, options) {
﻿        options = options || { };
﻿        options.contentType = 'application/json;charset=utf-8';
﻿        options.postBody = Object.toJSON(options.object);
﻿        $super(url, options);
﻿    }
﻿});


//Register the exception handler.
//Currently being used for session time-out.
﻿Ajax.Responders.register({
﻿    onException: function(transport, exception) {
﻿        var strMsg = exception.message;
﻿        checkForSecurityAndLogout(strMsg);
﻿        if (strMsg.match('loginForm')) {
﻿            //alert('The current session has timed-out');
﻿            window.location.href = 'login.html?timeout=true';
﻿        }
﻿    }
﻿});

//Load specific resources
(function () {
    var chromeVersion = (function () {
        if (navigator.userAgent.indexOf('Chrome') > 1) {
            var version = navigator.userAgent.substr(navigator.userAgent.indexOf('Chrome'));
            version = version.substring(version.indexOf('/') + 1, version.indexOf("."));
            return parseInt(version);
        }
    
        return 0;
    })();


    //Modernizr.load({
    //    test: chromeVersion >= 27,
    //    yep: "/custom/styles/custom.chrome.27.css"
    //});

    if (chromeVersion >= 27) {
        var fileref = document.createElement("link")
        fileref.setAttribute("rel", "stylesheet")
        fileref.setAttribute("type", "text/css")
        fileref.setAttribute("href", "/DellAdminPortal/custom/styles/custom.chrome.27.css")

        if (typeof fileref != "undefined")
            document.getElementsByTagName("head")[0].appendChild(fileref)
    }

})();


﻿function checkSession(url, specialModalClass) {
﻿   new Ajax.Request(urlConfig.checkSession, {
﻿        method: 'get',
﻿        onComplete: function(transport) {
﻿            if (transport != null && transport.responseText.match('loginForm')) {
﻿                //alert('The current session has timed-out');
﻿                window.location.href = 'login.html?timeout=true';
﻿            } else {
﻿                if (url != "" && specialModalClass != "") {
﻿                    openModal(url, specialModalClass);
﻿                }
﻿            }
﻿        }
﻿    });
﻿}

﻿function checkSessionEx() {
﻿    new Ajax.Request(urlConfig.checkSession, {
﻿        method: 'get',
﻿        onComplete: function(transport) {
﻿            if (transport != null && transport.responseText.match('loginForm')) {
﻿                //alert('The current session has timed-out');
﻿                window.location.href = 'login.jsp';
﻿            }

﻿        }
﻿    });
﻿}


﻿function openModalAndCheckSession(url, specialModalClass) {
﻿    checkSession(url, specialModalClass);

﻿}


﻿function openModalAndCloseSectionMessage(url, specialModalClass, itemArgs) {
﻿    if ($('section_2_0_messages')) {
﻿        for (var i = 0; i < 100; i++) {
﻿            if ($('section_2_0_messages').down('div.msgSuccess', i)) {
﻿                $('section_2_0_messages').down('div.msgSuccess', i).blindUp();
﻿            }
﻿        }
﻿    }
﻿    openModalAndCheckSession(url, specialModalClass);
﻿    if (itemArgs != null && itemArgs.length > 1) {
﻿        var vCenterInfoArray = itemArgs.split('^');
﻿        var vCenterInfo = new VCenterInfo();
﻿        vCenterInfo.machineId = vCenterInfoArray[0];
﻿        vCenterInfo.machineName = vCenterInfoArray[1];
﻿        vCenterInfo.machineIp = vCenterInfoArray[2];
﻿        vCenterInfo.userName = vCenterInfoArray[3];
﻿        vCenterInfo.password = vCenterInfoArray[4];
﻿        vCenterInfo.vPassword = vCenterInfoArray[4];
﻿        VCenter.selectedVCenter = vCenterInfo;
﻿    }
﻿}

﻿var SimpleForm = {
﻿    contentBlockDivInnerHTML: null,
﻿    contentBlockDiv4InnerHTML: null,
﻿    contentBlockDiv5InnerHTML: null,
﻿    contentBlockDiv30InnerHTML: null,
﻿    contentBlockDiv31InnerHTML: null,
﻿    contentBlockDiv9InnerHTML: null
﻿};

﻿function setSimpleFormContentBlock(contentBlockDivId) {
﻿    if ($(contentBlockDivId)) {
﻿        switch (contentBlockDivId) {
﻿        case '1':
﻿            SimpleForm.contentBlockDivInnerHTML = $(contentBlockDivId).innerHTML;
﻿            break;
﻿        case 'block_section_4_0_0_1':
﻿            SimpleForm.contentBlockDiv4InnerHTML = $(contentBlockDivId).innerHTML;
﻿            break;
﻿        case 'block_section_5_0_0_1':
﻿            SimpleForm.contentBlockDiv5InnerHTML = $(contentBlockDivId).innerHTML;
﻿            break;
﻿        case 'block_section_30_0_0_1':
﻿            SimpleForm.contentBlockDiv30InnerHTML = $(contentBlockDivId).innerHTML;
﻿            break;
﻿        case 'block_section_31_0_0_1':
﻿            SimpleForm.contentBlockDiv31InnerHTML = $(contentBlockDivId).innerHTML;
﻿            break;
﻿        case 'block_section_9_0_0_0':
﻿            SimpleForm.contentBlockDiv9InnerHTML = $(contentBlockDivId).innerHTML;
﻿            break;
﻿        }
﻿    }
﻿}

﻿function getSimpleFormContentBlock(contentBlockDivId) {
﻿    if ($(contentBlockDivId)) {
﻿        switch (contentBlockDivId) {
﻿        case '1':
﻿            $(contentBlockDivId).innerHTML = SimpleForm.contentBlockDivInnerHTML;
﻿            break;
﻿        case 'block_section_4_0_0_1':
﻿            $(contentBlockDivId).innerHTML = SimpleForm.contentBlockDiv4InnerHTML;
﻿            break;
﻿        case 'block_section_5_0_0_1':
﻿            $(contentBlockDivId).innerHTML = SimpleForm.contentBlockDiv5InnerHTML;
﻿            break;
﻿        case 'block_section_30_0_0_1':
﻿            $(contentBlockDivId).innerHTML = SimpleForm.contentBlockDiv30InnerHTML;
﻿            break;
﻿        case 'block_section_31_0_0_1':
﻿            $(contentBlockDivId).innerHTML = SimpleForm.contentBlockDiv31InnerHTML;
﻿            break;
﻿        case 'block_section_9_0_0_0':
﻿            $(contentBlockDivId).innerHTML = SimpleForm.contentBlockDiv9InnerHTML;
﻿            break;
﻿        }
﻿    }
﻿}

﻿function applyEditModeForSimpleForm(sectionId, functionName) {
﻿    if ($(sectionId)) {
﻿        if ($(sectionId).down('form')) {
﻿            var form = $(sectionId).down('form');
﻿        } else if ($(sectionId).up('form')) {
﻿            var form = $(sectionId).up('form');
﻿        }

﻿        if (form) {
﻿            if (functionName != null) {
﻿                eval(functionName(form));
﻿            }
﻿        }

﻿        toggleSectionEditMode(sectionId);
﻿    }
﻿}


function applyEditModeForSimpleFormWithoutToggle(sectionId, functionName) {
﻿    if ($(sectionId)) {
﻿        if ($(sectionId).down('form')) {
﻿            var form = $(sectionId).down('form');
﻿        } else if ($(sectionId).up('form')) {
﻿            var form = $(sectionId).up('form');
﻿        }

﻿        if (form) {
﻿            if (functionName != null) {
﻿                eval(functionName(form));
﻿            }
﻿        }
﻿    }
﻿}



﻿function editButtonClickForSimpleForm(sectionId, contentBlockDivId) {
﻿    if ($(sectionId)) {
﻿        if ($(sectionId).down('form')) {
﻿            var form = $(sectionId).down('form');
﻿        } else if ($(sectionId).up('form')) {
﻿            var form = $(sectionId).up('form');
﻿        }
﻿    }
﻿    if (form && !$(sectionId).down('div.sectionEditButton.disabled')) {
﻿        if (form.down('span#vpassword')) {
﻿            if (form.down('span#vpassword').up('tr')) {
﻿                // Unhide the Verify Password table row.
﻿                form.down('span#vpassword').up('tr').removeClassName('hidden');
﻿            }
﻿        }
﻿        if (form.down('span#password')) {
﻿            if (form.down('span#password').up('tr')) {
﻿                // Unhide the Password table row.
﻿                form.down('span#password').up('tr').removeClassName('hidden');
﻿            }
﻿        }

﻿        if (form.down('span#vencpassword')) {
﻿            if (form.down('span#vencpassword').up('tr')) {
﻿                // Unhide the Verify Password table row.
﻿                form.down('span#vencpassword').up('tr').removeClassName('hidden');
﻿            }
﻿        }
﻿        if (form.down('span#encpassword')) {
﻿            if (form.down('span#encpassword').up('tr')) {
﻿                // Unhide the Password table row.
﻿                form.down('span#encpassword').up('tr').removeClassName('hidden');
﻿            }
﻿        }


﻿        setSimpleFormContentBlock(contentBlockDivId);
﻿    }
﻿    editButtonClick(sectionId);
﻿}

﻿function hidePasswordTR() {
﻿    if ($('password')) {
﻿        if ($('password').up('tr')) {
﻿            $('password').up('tr').addClassName('hidden');
﻿        }
﻿    }
﻿}

﻿function hideVPasswordTR() {
﻿    if ($('vpassword')) {
﻿        if ($('vpassword').up('tr')) {
﻿            $('vpassword').up('tr').addClassName('hidden');
﻿        }
﻿    }
﻿}

﻿function hideEncPasswordTR() {
﻿    if ($('encpassword')) {
﻿        if ($('encpassword').up('tr')) {
﻿            $('encpassword').up('tr').addClassName('hidden');
﻿        }
﻿    }
﻿}

﻿function hideVEncPasswordTR() {
﻿    if ($('vencpassword')) {
﻿        if ($('vencpassword').up('tr')) {
﻿            $('vencpassword').up('tr').addClassName('hidden');
﻿        }
﻿    }
﻿}

﻿function showEditPassMsg() {
﻿    if ($('modifyPassword')) {
﻿        if ($('modifyPassword').up('tr')) {
﻿            $('modifyPassword').up('tr').removeClassName('hidden');
﻿        }
﻿    }
﻿}

﻿function hideEditPassMsg() {
﻿    if ($('modifyPassword')) {
﻿        if ($('modifyPassword').up('tr')) {
﻿            $('modifyPassword').up('tr').addClassName('hidden');
﻿        }
﻿    }
﻿}

﻿function cancelButtonClickWithoutEditMode(contentBlockDivId, sectionMessagesId) {
﻿    if (contentBlockDivId == 'block_section_9_0_0_0') {
﻿        // Reset the admin password form fields to blank.
﻿        if ($('current_password')) {
﻿            $('current_password').value = '';
﻿        }
﻿        if ($('new_password')) {
﻿            $('new_password').value = '';
﻿        }
﻿        if ($('verify_new_password')) {
﻿            $('verify_new_password').value = '';
﻿        }
﻿    }

﻿    getSimpleFormContentBlock(contentBlockDivId);

﻿    // Hide any old Failure or Success message using a blind up effect.
﻿    $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
﻿    $(sectionMessagesId).select('div.msgSuccess').each(function(item) { item.blindUp(); });
﻿}

﻿function disableEditButtonsAndShowStartMsg(sectionId) {
﻿    var sectionMessagesId = sectionId + '_messages';

﻿    // Disable Cancel and Apply buttons; the Apply button is actually rendered first even though it is shown on the right.
﻿    $(sectionId).select('.sectionEditButtons button').each(function(item) {
﻿        item.disabled = true;
﻿        item.removeClassName('stdButtonEmphasized1');
﻿        item.addClassName('stdButtonDisabled');
﻿    });

﻿    // Hide any old Failure or Success message using a blind up effect.
﻿    $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
﻿    $(sectionMessagesId).select('div.msgSuccess').each(function(item) { item.blindUp(); });

﻿    // Display only one (generic) Starting message.
﻿    if ($(sectionMessagesId).down('div#divMsgStarting', 0)) {
﻿        $(sectionMessagesId).select('div#divMsgStarting').each(function(item) { item.setStyle({ display: '' }); });
﻿    } else {
﻿        $(sectionMessagesId).insert({ bottom: '<div id="divMsgStarting" class="msgBox msgInfo"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.processing') + '</div></td><td class="maxWidthCol"><div class="msgText">' + Translator.translate('generic.pleaseWait') + '.....</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'divMsgStarting\');"></div></div>' });
﻿    }
﻿}

﻿function enableEditButtonsAndHideMsg(sectionId) {
﻿    var sectionMessagesId = sectionId + '_messages';

﻿    // Enable Cancel and Apply buttons; the Apply button is actually rendered first even though it is shown on the right.
﻿    $(sectionId).select('.sectionEditButtons button').each(function(item) {
﻿        item.disabled = false;
﻿        if (item.type && item.type == 'submit') {
﻿            item.addClassName('stdButtonEmphasized1');
﻿        }
﻿        ;
﻿        item.removeClassName('stdButtonDisabled');
﻿    });
﻿    // Hide any old Start, Failure, or Success message using a blind up effect.
﻿    $(sectionMessagesId).select('div#divMsgStarting').each(function(item) { item.blindUp(); });
﻿    $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
﻿    $(sectionMessagesId).select('div.msgSuccess').each(function(item) { item.blindUp(); });
﻿}

﻿function hideMsgUsingBlindUp(sectionId) {
﻿    // Hide any old Start, Failure, or Success message using a blind up effect.
﻿    var sectionMessagesId = sectionId + '_messages';
 $(sectionMessagesId).select('div#divMsgStarting').each(function(item) { item.blindUp(); });﻿    $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
﻿    $(sectionMessagesId).select('div.msgSuccess').each(function(item) { item.blindUp(); });
﻿}

//VCenters

﻿var VCenterInfo = Class.create({
﻿    initialize: function() {
﻿        this.machineId = 0;
﻿        this.machineName = '';
﻿        this.machineIp = '';
﻿        this.userName = '';
﻿        this.password = '';
﻿        this.vPassword = '';
﻿    }
﻿});


﻿function registerVCenter() {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

﻿    // Instantiate a vCenterInfo object and set property values.
﻿    var vCenterInfo = new VCenterInfo();
﻿    vCenterInfo.machineId = 0;
﻿    vCenterInfo.machineName = $('machinename').value == Translator.translate('generic.notConfigured') ? '' : $('machinename').value;
﻿    vCenterInfo.machineIp = $('machineip').value == Translator.translate('generic.notConfigured') ? '' : $('machineip').value;
﻿    vCenterInfo.userName = $('username').value == Translator.translate('generic.notConfigured') ? '' : $('username').value;
﻿    vCenterInfo.password = $('password').value == Translator.translate('generic.notConfigured') ? '' : $('password').value;
﻿    vCenterInfo.vPassword = $('vpassword').value == Translator.translate('generic.notConfigured') ? '' : $('vpassword').value;
    vCenterInfo.enableVum = $('chkVum').checked;

﻿    // Post the object in JSON format.
﻿    new Ajax.Request(urlConfig.registerVCenter, {
﻿        parameters: vCenterInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { registerVCenterJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { registerVCenterJSONResponse(transport.responseText); }
﻿    });
﻿}


﻿function registerVCenterJSONResponse(vCenterResponse) {


﻿    var JobErrorResponse = vCenterResponse.evalJSON(true).VCenterResponse;
﻿    var msgText = JobErrorResponse.errorMessage;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);

﻿    if (JobErrorResponse.responseCode == 0) {
﻿        closeModal();
﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_2_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }

﻿        onVCenterPageLoad();
﻿    }
    else if (JobErrorResponse.responseCode == -2) {
	﻿        closeModal();
	﻿        // Insert new failure message box at bottom of existing message boxes.
	﻿        sectionMessagesId = 'section_2_0_messages';
	﻿        tmpId = sectionMessagesId + '_' + tmpId;
	﻿        if ($(sectionMessagesId)) {
	﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
	﻿        }
	﻿        onVCenterPageLoad();
	﻿    }
    else {
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
﻿        sectionMessagesId = 'section_modalContent_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    }
﻿}


function registerVum() {
	﻿    // Disable Cancel and Apply buttons; show Starting message.
	﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

	﻿    // Instantiate a vCenterInfo object and set property values.
	﻿    var vCenterInfo = new VCenterInfo();
	﻿    vCenterInfo.machineId = 0;
	﻿    vCenterInfo.machineName = $('machinename').value == Translator.translate('generic.notConfigured') ? '' : $('machinename').value;
	﻿    vCenterInfo.machineIp = $('machineip').value == Translator.translate('generic.notConfigured') ? '' : $('machineip').value;
	﻿    vCenterInfo.userName = $('username').value == Translator.translate('generic.notConfigured') ? '' : $('username').value;
	﻿    vCenterInfo.password = $('password').value == Translator.translate('generic.notConfigured') ? '' : $('password').value;
	﻿    vCenterInfo.vPassword = $('vpassword').value == Translator.translate('generic.notConfigured') ? '' : $('vpassword').value;

	﻿    // Post the object in JSON format.
	﻿    new Ajax.Request(urlConfig.registerVum, {
	﻿        parameters: vCenterInfo,
	﻿        method: urlConfig.postMethod,
	﻿        onSuccess: function(transport) { registerVumJSONResponse(transport.responseText); },
	﻿        onFailure: function(transport) { registerVumJSONResponse(transport.responseText); }
	﻿    });
	﻿}


	﻿function registerVumJSONResponse(vumResponse) {


	﻿    var JobErrorResponse = vumResponse.evalJSON(true).VumResponse;
	﻿    var msgText = JobErrorResponse.errorMessage;
	﻿    // Generate a unique id.
	﻿    var tmpId = Math.floor(Math.random() * 10000);

	﻿    if (JobErrorResponse.responseCode == 0) {
	﻿        closeModal();
	﻿        // Insert new Success message box at bottom of existing message boxes.
	﻿        sectionMessagesId = 'section_2_0_messages';
	﻿        tmpId = sectionMessagesId + '_' + tmpId;
	﻿        if ($(sectionMessagesId)) {
	﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
	﻿        }

	﻿        onVCenterPageLoad();
	﻿    } else {
	﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
	﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
	﻿        sectionMessagesId = 'section_modalContent_0_messages';
	﻿        tmpId = sectionMessagesId + '_' + tmpId;
	﻿        if ($(sectionMessagesId)) {
	﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
	﻿        }
	﻿    }
	﻿}


﻿function modifyVCenter(form) {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

﻿    var vCenterInfo = new VCenterInfo();
﻿    vCenterInfo.machineId = $('machineid').value == '0' ? '' : $('machineid').value;
﻿    vCenterInfo.machineName = $('machinename').value == Translator.translate('generic.notConfigured') ? '' : $('machinename').value;
﻿    vCenterInfo.machineIp = $('machineip').value == Translator.translate('generic.notConfigured') ? '' : $('machineip').value;
﻿    vCenterInfo.userName = $('username').value == Translator.translate('generic.notConfigured') ? '' : $('username').value;
﻿    vCenterInfo.password = $('password').value == Translator.translate('generic.notConfigured') ? '' : $('password').value;
﻿    vCenterInfo.vPassword = $('vpassword').value == Translator.translate('generic.notConfigured') ? '' : $('vpassword').value;
﻿    new Ajax.Request(urlConfig.modifyVCenterCredentials, {
﻿        parameters: vCenterInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { modifyVCenterJSONResponse(transport.responseText, 'section_modalContent_0'); },
﻿        onFailure: function(transport) { modifyVCenterJSONResponse(transport.responseText, 'section_modalContent_0'); }
﻿    });
﻿}


﻿function updateVCenter(form) {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_3');

﻿    var vCenterInfo = new VCenterInfo();
﻿    vCenterInfo.machineName = $('machinename').value == Translator.translate('generic.notConfigured') ? '' : $('machinename').value;
﻿    vCenterInfo.machineIp = $('machineip').value == Translator.translate('generic.notConfigured') ? '' : $('machineip').value;

﻿    new Ajax.Request(urlConfig.updateVCenterCertificate, {
﻿        parameters: vCenterInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { modifyVCenterJSONResponse(transport.responseText, 'section_modalContent_3'); },
﻿        onFailure: function(transport) { modifyVCenterJSONResponse(transport.responseText, 'section_modalContent_3'); }
﻿    });
﻿}


﻿function testVCenter(form) {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_2');
﻿    var vCenterInfo = new VCenterInfo();
﻿    vCenterInfo.machineId = $('machineid').value == '0' ? '' : $('machineid').value;
﻿    vCenterInfo.machineName = $('machinename').value == Translator.translate('generic.notConfigured') ? '' : $('machinename').value;
﻿    vCenterInfo.machineIp = $('machineip').value == Translator.translate('generic.notConfigured') ? '' : $('machineip').value;
﻿    vCenterInfo.userName = $('username').value == Translator.translate('generic.notConfigured') ? '' : $('username').value;
﻿    vCenterInfo.password = $('password').value == Translator.translate('generic.notConfigured') ? '' : $('password').value;
﻿    vCenterInfo.vPassword = $('vpassword').value == Translator.translate('generic.notConfigured') ? '' : $('vpassword').value;

﻿    new Ajax.Request(urlConfig.test, {
﻿        parameters: vCenterInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { modifyVCenterJSONResponse(transport.responseText, 'section_modalContent_2'); },
﻿        onFailure: function(transport) { modifyVCenterJSONResponse(transport.responseText, 'section_modalContent_2'); }
﻿    });
﻿}


﻿function modifyVCenterJSONResponse(vCenterResponse, sectionId) {
﻿    var JobErrorResponse = vCenterResponse.evalJSON(true).VCenterResponse;
﻿    var msgText = JobErrorResponse.errorMessage;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);

﻿    if (JobErrorResponse.responseCode == 0) {
﻿        closeModal();

﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_2_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }

        new Ajax.Request(urlConfig.getVCenters, {
﻿            method: 'get',
﻿            onComplete: function(transport) {
﻿                displayVCenters(transport);
﻿            }
﻿        });
﻿    } else {
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg(sectionId);
﻿        sectionMessagesId = sectionId + '_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    }
﻿}


﻿function unregisterVCenter(form) {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

﻿    var vCenterInfo = new VCenterInfo();
﻿    vCenterInfo.machineId = $('machineid').value == '0' ? '' : $('machineid').value;
﻿    vCenterInfo.machineName = $('machinename').value == Translator.translate('generic.notConfigured') ? '' : $('machinename').value;
﻿    vCenterInfo.machineIp = $('machineip').value == Translator.translate('generic.notConfigured') ? '' : $('machineip').value;
﻿    vCenterInfo.userName = $('username').value == Translator.translate('generic.notConfigured') ? '' : $('username').value;
﻿    vCenterInfo.password = $('password').value == Translator.translate('generic.notConfigured') ? '' : $('password').value;
﻿    vCenterInfo.vPassword = $('vpassword').value == Translator.translate('generic.notConfigured') ? '' : $('vpassword').value;
﻿    new Ajax.Request(urlConfig.unregisterVCenter, {
﻿        parameters: vCenterInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { unregisterVCenterJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { unregisterVCenterJSONResponse(transport.responseText); }
﻿    });
﻿}


﻿function unregisterVCenterJSONResponse(vCenterResponse) {
﻿    var JobErrorResponse = vCenterResponse.evalJSON(true).VCenterResponse;
﻿    var msgText = JobErrorResponse.errorMessage;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);

﻿    if (JobErrorResponse.responseCode == 0) {
﻿        closeModal();

﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_2_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿        onVCenterPageLoad();
﻿    } else {
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
﻿        sectionMessagesId = 'section_modalContent_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    }
﻿}

function unregisterVum(form) {
	﻿    // Disable Cancel and Apply buttons; show Starting message.
	﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

	﻿    var vCenterInfo = new VCenterInfo();
	﻿    vCenterInfo.machineId = $('machineid').value == '0' ? '' : $('machineid').value;
	﻿    vCenterInfo.machineName = $('machinename').value == Translator.translate('generic.notConfigured') ? '' : $('machinename').value;
	﻿    vCenterInfo.machineIp = $('machineip').value == Translator.translate('generic.notConfigured') ? '' : $('machineip').value;
	﻿    vCenterInfo.userName = $('username').value == Translator.translate('generic.notConfigured') ? '' : $('username').value;
	﻿    vCenterInfo.password = $('password').value == Translator.translate('generic.notConfigured') ? '' : $('password').value;
	﻿    vCenterInfo.vPassword = $('vpassword').value == Translator.translate('generic.notConfigured') ? '' : $('vpassword').value;
	﻿    new Ajax.Request(urlConfig.unregisterVum, {
	﻿        parameters: vCenterInfo,
	﻿        method: urlConfig.postMethod,
	﻿        onSuccess: function(transport) { unregisterVCenterJSONResponse(transport.responseText); },
	﻿        onFailure: function(transport) { unregisterVCenterJSONResponse(transport.responseText); }
	﻿    });
	﻿}


	﻿function unregisterVumJSONResponse(vumResponse) {
	﻿    var JobErrorResponse = vumResponse.evalJSON(true).vumResponse;
	﻿    var msgText = JobErrorResponse.errorMessage;
	﻿    // Generate a unique id.
	﻿    var tmpId = Math.floor(Math.random() * 10000);

	﻿    if (JobErrorResponse.responseCode == 0) {
	﻿        closeModal();

	﻿        // Insert new Success message box at bottom of existing message boxes.
	﻿        sectionMessagesId = 'section_2_0_messages';
	﻿        tmpId = sectionMessagesId + '_' + tmpId;
	﻿        if ($(sectionMessagesId)) {
	﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
	﻿        }
	﻿        onVCenterPageLoad();
	﻿    } else {
	﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
	﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
	﻿        sectionMessagesId = 'section_modalContent_0_messages';
	﻿        tmpId = sectionMessagesId + '_' + tmpId;
	﻿        if ($(sectionMessagesId)) {
	﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
	﻿        }
	﻿    }
	﻿}




﻿function displayVCenters(transport) {
﻿    var truncateLength = 30;
﻿    var data;
﻿    try {
﻿        data = transport.responseText.evalJSON(true);
﻿    } catch(e) {
﻿        data = null;
﻿    }

﻿    var vCenterItems = '';
﻿    if (data != null) {
﻿        var strRowStyle = 'oddRow';
﻿        var vCenters = data.VCenters;
﻿        
﻿        if (vCenters.length > 0) {
﻿            for (var i = 0; i <= vCenters.length - 1; i++) {
				
				var vumTag = '<span>' + Translator.translate('generic.notavailable') + '</span>';
	
				if(vCenters[i].vumStatus == 'ENABLED'){
					vumTag = '<a class="modalIconLink" href="javascript:openModalAndCloseSectionMessage(urlConfig.viewUnregisterVumModal, \'halfWidth\', \'#{machineId}^#{empty}^#{machineIp}^#{userName}^#{password}\');">' + Translator.translate('generic.unregister') + '</a>';
				}
				else if(vCenters[i].vumStatus == 'DISABLED'){
					vumTag = '<a class="modalIconLink" href="javascript:openModalAndCloseSectionMessage(urlConfig.viewRegisterVumModal, \'halfWidth\', \'#{machineId}^#{empty}^#{machineIp}^#{userName}^#{password}\');">' + Translator.translate('generic.register') + '</a>';
				}
				
				var serverTemplate = new Template('<td><span title="#{machineIp}"><a href="https://#{machineIp}/ui/" target="_blank">#{shortMachineIp}</a></span></td><td><span title="#{machineName}">#{shortMachineName}</span></td><td><a class="modalIconLink" href="javascript:openModalAndCloseSectionMessage(urlConfig.viewModifyModal, \'halfWidth\', \'#{machineId}^#{empty}^#{machineIp}^#{userName}^#{password}\');">' + Translator.translate('generic.modify') + '</a></td><td><a class="modalIconLink" href="javascript:openModalAndCloseSectionMessage(urlConfig.viewUpdateCredentialsModal, \'halfWidth\', \'#{machineId}^#{empty}^#{machineIp}^#{userName}^#{password}\');">' + Translator.translate('generic.update') + '</a></td><td><a class="modalIconLink" href="javascript:openModalAndCloseSectionMessage(urlConfig.viewUnregisterModal, \'halfWidth\', \'#{machineId}^#{empty}^#{machineIp}^#{userName}^#{password}\');">' + Translator.translate('generic.unregister') + '</a></td><td style="white-space:nowrap;">' + vumTag +'</td><td class="lastCol"><div></div></td></tr>');
				
﻿                vCenters[i].shortMachineName = vCenters[i].machineName == "" ? '<i>' + Translator.translate("generic.none") + '</i>' : vCenters[i].machineName.truncate(truncateLength, '...');
﻿                vCenters[i].shortMachineIp = vCenters[i].machineIp.truncate(truncateLength, '...');
﻿                vCenters[i].empty = "";
﻿                vCenterItems += '<tr class="' + strRowStyle + '" style="display: table-row;">' + serverTemplate.evaluate(vCenters[i]);
﻿                if (strRowStyle == 'oddRow') {
﻿                    strRowStyle = 'evenRow';
﻿                } else {
﻿                    strRowStyle = 'oddRow';
﻿                }
﻿            }
﻿        } else {
﻿            // Display 'None'.
﻿            vCenterItems += '<tr class="oddRow" style="display: table-row;"><td colspan="6" style="text-align:center;">' + Translator.translate('vcenterRegistration.noVcentersRegistered') + '</td></tr>';
﻿        }
﻿        vCenterItems += '<tr><td class="tableBottom" colspan="5"></td></tr>';
﻿        $('section_2_0_0_table').down('tbody').replace(vCenterItems);
﻿    } else {
﻿        // Display 'None'.
﻿        vCenterItems += '<tr class="oddRow" style="display: table-row;"><td colspan="6" style="text-align:center;">' + Translator.translate('vcenterRegistration.noVcentersRegistered') + '</td></tr>';
﻿        +'<tr><td class="tableBottom" colspan="6"></td></tr>';
﻿        $('section_2_0_0_table').down('tbody').replace(vCenterItems);
﻿    }
﻿    //Draw borders around tables, etc.
﻿    postPageLoadUpdate();
﻿}

﻿var VCenter = {
﻿    selectedVCenter: null
﻿};


//Appliance Management - Appliance Settings

﻿var VirtualApplianceActionInfo = Class.create({
﻿    initialize: function() {
﻿        this.restart = false;
﻿        this.reset = false;
    }
﻿});

﻿function restartVirtualAppliance() {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

﻿    var virtualApplianceActionInfo = new VirtualApplianceActionInfo();
﻿    virtualApplianceActionInfo.restart = true;
﻿
    new Ajax.Request(urlConfig.restartSpectre, {
﻿        parameters: virtualApplianceActionInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { setVirtualApplianceJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setVirtualApplianceJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function resetVirtualAppliance() {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

﻿    var virtualApplianceActionInfo = new VirtualApplianceActionInfo();
﻿    virtualApplianceActionInfo.reset = true;

﻿    new Ajax.JSON(urlConfig.reset, {
﻿        object: virtualApplianceActionInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { setVirtualApplianceJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setVirtualApplianceJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setVirtualApplianceJSONResponse(virtualApplianceActionResponse) {
﻿    var JobErrorResponse = virtualApplianceActionResponse.evalJSON(true).VirtualApplianceActionResponse;
﻿    var sectionMessagesId;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);
﻿    var msgText = JobErrorResponse.errorMessage;

﻿    if (JobErrorResponse.responseCode == 0) {
﻿        closeModal();
﻿        //Logout the user
﻿        submitLogout();

﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_2_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    } else {
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
﻿        sectionMessagesId = 'section_modalContent_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    }
﻿}

﻿function openVirtualApplianceActionModalAndCloseSectionMessage(url, specialModalClass) {
﻿    $('section_2_0_messages').select('div.msgSuccess').each(function(item) { item.blindUp(); });
﻿    openModalAndCheckSession(url, specialModalClass);
﻿}

﻿function openUploadCertificateModel() {
﻿    openVirtualApplianceActionModalAndCloseSectionMessage(urlConfig.viewUploadCertificate, 'halfWidth');
﻿}

//Appliance Management - Proxy Settings

﻿function displayProxy(transport) {
﻿    $('proxyTesting').hide();
﻿    var data = null;
﻿    if (transport.responseText.length > 0) {
﻿        data = transport.responseText.evalJSON(true);
﻿    } else {
﻿        data = { ProxyInfo: null };
﻿    }
﻿    if (data.ProxyInfo) {
﻿        var proxy = data.ProxyInfo;
﻿        renderProxy(proxy);
﻿    } else {
﻿        var proxy = { enabled: false, proxyServer: "", port: "", userName: "" };
﻿        renderProxy(proxy);
﻿    }
﻿}

﻿function renderProxy(proxy) {
    var enabled = proxy.enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');
    $('enable_proxy').innerHTML = enabled;
    $('proxy_server').innerHTML = proxy.proxyServer.length > 58 ? proxy.proxyServer.substring(0, 54) + '...' : proxy.proxyServer;
    if (proxy.proxyServer.length > 58)
        $('proxy_server').setAttribute('title', proxy.proxyServer);
    else
        $('proxy_server').setAttribute('title', '');
    
    $('port').innerHTML = proxy.port;

﻿    if (proxy.userName.length > 0) {
﻿        $('useCreds').innerHTML = Translator.translate('generic.yes');
﻿        $('username').innerHTML = proxy.userName.length > 58 ? proxy.userName.substring(0, 54) + '...' : proxy.userName;
﻿        
        if (proxy.userName.length > 58)
            $('username').setAttribute('title', proxy.userName);
﻿        else $('username').setAttribute('title', '');

﻿        $('password').innerHTML = '**********';
﻿    } else {
﻿        $('useCreds').innerHTML = Translator.translate('generic.no');
﻿        $('username').innerHTML = Translator.translate('generic.notUsed');
﻿        $('password').innerHTML = Translator.translate('generic.notUsed');
﻿    }
﻿    if (enabled == Translator.translate('generic.enabled')) {
﻿        $('proxyTesting').show();
﻿    } else {
﻿        $('proxyTesting').hide();
﻿    }
﻿    $('val_proxytest_icon').removeClassName('val-waiting');
﻿    $('val_proxytest_icon').removeClassName('val-fail');
﻿    $('val_proxytest_icon').removeClassName('val-success');
﻿    $('val_proxytest_msg').innerHTML = '';
﻿}


﻿var ProxyInfo = Class.create({
﻿    initialize: function() {
﻿        this.enabled = false;
﻿        this.proxyServer = '';
﻿        this.port = 0;
﻿        this.userName = '';
﻿        this.password = '';
﻿        this.vPassword = '';

﻿    }
﻿});



function displayDeploymentMode(transport) {
    ﻿    var data = null;
    ﻿    if (transport.responseText.length > 0) {
    ﻿        data = transport.responseText.evalJSON(true);
    ﻿    } else {
    ﻿        data = { DeploymentModeInfo: null };
    ﻿    }
    ﻿    if (data.DeploymentModeInfo) {
    ﻿        var deploymentModeInfo = data.DeploymentModeInfo;
    ﻿        renderDeploymentMode(deploymentModeInfo);
    ﻿    } else {
    ﻿        var deploymentInfo = { deploymentMode: ""};
    ﻿        renderDeploymentMode(deploymentModeInfo);
    ﻿    }
    
    
    
       
    ﻿}


function renderDeploymentMode(deploymentModeInfo) {
    var deploymentMode = deploymentModeInfo.deploymentMode;
    
    
    if(deploymentMode == "small"){
         $('set_mode').innerHTML =  Translator.translate('generic.small');
    }
    else if(deploymentMode == "medium"){
        $('set_mode').innerHTML =  Translator.translate('generic.medium');
        
    }
    else if(deploymentMode == "large"){
        $('set_mode').innerHTML =  Translator.translate('generic.large');
        
    }
    else if(deploymentMode == "extralarge"){
        $('set_mode').innerHTML =  Translator.translate('generic.extralarge');
        
    }
    
﻿    
﻿}
var selectedDeploymentMode = 'small';
var popUp;
var DeploymentModeInfo = Class.create({
    ﻿    initialize: function() {
    ﻿        this.deploymentMode = 'small';
    ﻿    }
    ﻿});


﻿function addNtpEvents() {
    
    var useNtpRdBtn = $$('input#enabled');

    try {
        useNtpRdBtn[0].observe('click', checkNtp);
        useNtpRdBtn[1].observe('click', checkNtp);
    } catch(e) {

    }

    checkNtp();
﻿}

function addExtMonitoringEvents() {
    
    var useExtRdBtn = $$('input#ext_enabled');

    try {
        useExtRdBtn[0].observe('click', checkExt);
        useExtRdBtn[1].observe('click', checkExt);
    } catch(e) {

    }
    
    var snmpExtRdBtn = $$('input#snmp_enabled');

    try {
        snmpExtRdBtn[0].observe('click', checkExt);
        snmpExtRdBtn[1].observe('click', checkExt);
    } catch(e) {

    }

    checkExt();
﻿}

﻿﻿function checkNtp() {

    var ntpRdBtn = $$('input#enabled');

    try {
        var ntpSetting = ntpRdBtn[0].checked ? true : false;


        if (!ntpSetting) {
            $('ntpPreferred').disable();
            $('ntpSecondary').disable();
            
        } else {
            $('ntpPreferred').enable();
            $('ntpSecondary').enable();


        }
    }
    catch(e) {
        
    }
﻿}

﻿﻿function checkExt() {

    var extRdBtn = $$('input#ext_enabled');

    try {
        var extSetting = extRdBtn[0].checked ? true : false;
        var snmpRdBtn = $$('input#snmp_enabled');
        var snmpSetting = snmpRdBtn[0].checked ? true : false;

        if (!extSetting) {
            //console.log("snmp");
            snmpRdBtn[0].checked = false;
            snmpRdBtn[1].checked = true;
            //$('#snmp_enabled').disable();
            var result_style = document.getElementById('ExtWarning').style;
            result_style.display = 'inline';
            
 
        } else {
            var result_style = document.getElementById('ExtWarning').style;
            result_style.display = 'none';
            

        }
    }
    catch(e) {
        
    }
﻿}

function addAutoBackupScheduleEvents() {
    var autoBackupRdBtn = $$('input#enabled_state');

    try {
        autoBackupRdBtn[0].observe('click', checkAuto);
        autoBackupRdBtn[1].observe('click', checkAuto);
    } catch(e) {

    }



    checkAuto();
﻿}
function addProxyEvents() {
    var useHttpProxySettingsCheckbox = $$('input#enable_proxy');

    try {
        useHttpProxySettingsCheckbox[0].observe('click', checkProxy);
        useHttpProxySettingsCheckbox[1].observe('click', checkProxy);
    } catch(e) {

    }

    var useProxyCredentialsCheckbox = $$('input#useCreds');
    try {
        useProxyCredentialsCheckbox[0].observe('click', checkProxy);
        useProxyCredentialsCheckbox[1].observe('click', checkProxy);
    } catch(e) {

    }

    checkProxy();
﻿}

﻿function checkAuto() {


    var autoBackupRdBtn = $$('input#enabled_state');
﻿

    try {
        var autoBackup = autoBackupRdBtn[0].checked ? true : false;
        var days = $$('input#days');        

        if (!autoBackup) {

        days[0].disable();
        days[1].disable();
        days[2].disable();
        days[3].disable();
        days[4].disable();
        days[5].disable();
        days[6].disable();
            
            $('timeOfBackup').disable();

        } else {
            days[0].enable();
        days[1].enable();
        days[2].enable();
        days[3].enable();
        days[4].enable();
        days[5].enable();
        days[6].enable();
            $('timeOfBackup').enable();

        }
    }
    catch(e) {
        
    }
﻿}

﻿function checkProxy() {
﻿    $('proxyTesting').hide();

﻿    var useHttpProxySettingsCheckbox = $$('input#enable_proxy');
﻿    var useProxyCredentialsCheckbox = $$('input#useCreds');

    try {
        var useProxy = useHttpProxySettingsCheckbox[0].checked ? true : false;
        var useCreds = useProxyCredentialsCheckbox[0].checked ? true : false;

        if (!useProxy) {
            $('proxy_server').disable();
            $('port').disable();
            
            useProxyCredentialsCheckbox[0].checked=false;
            useProxyCredentialsCheckbox[1].checked=false;
            $('username').disable();
            $('password').disable();
        } else {
            $('proxy_server').enable();
            $('port').enable();
            
            if (!useCreds) {
                $('username').disable();
                $('password').disable();
                useProxyCredentialsCheckbox[1].checked=true;
            } else {
                $('username').enable();
                $('password').enable();
            }
        }
    }
    catch(e) {
        
    }
﻿}

﻿function testProxy() {
﻿    $('val_proxytest_icon').addClassName('val-waiting');
﻿    $('val_proxytest_msg').innerHTML = Translator.translate('applianceManagement.testingProxySettings') + '...';
﻿    disableButton('btnTestProxy');
﻿    new Ajax.Request(urlConfig.proxyTest, {
﻿        method: 'get',
﻿        onSuccess: function(transport) { proxyTestResult(transport.responseText); },
﻿        onFailure: function(transport) { proxyTestResult(transport.responseText); }
﻿    });
﻿}

﻿function proxyTestResult(result) {
﻿    var JobErrorResponse = result.evalJSON(true).ProxyTestResponse;
﻿    if (JobErrorResponse.responseCode == 0) {
﻿        $('val_proxytest_icon').removeClassName('val-fail');
﻿        $('val_proxytest_icon').addClassName('val-success');
﻿        $('val_proxytest_msg').innerHTML = JobErrorResponse.errorMessage;
﻿        enableButton('btnTestProxy');
﻿    } else {
﻿        $('val_proxytest_icon').removeClassName('val-success');
﻿        $('val_proxytest_icon').addClassName('val-fail');
﻿        $('val_proxytest_msg').innerHTML = JobErrorResponse.errorMessage;
﻿        enableButton('btnTestProxy');
﻿    }
﻿}

﻿function setProxy(form) {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    //disableEditButtonsAndShowStartMsg('section_4_0');
﻿    var enable_proxy_list = form.getInputs('radio', 'enable_proxy');
﻿    var useCreds_list = form.getInputs('radio', 'useCreds');
﻿    enable_proxy_list.each(function(radio) {
﻿        radio.stopObserving('click');
﻿    });
﻿    useCreds_list.each(function(radio) {
﻿        radio.stopObserving('click');
﻿    });

    var proxyInfo = new ProxyInfo();
    proxyInfo.enabled = form.getInputs('radio', 'enable_proxy').size() != 0 ? (form.getInputs('radio', 'enable_proxy').find(function(radio) { return radio.checked; }).value == Translator.translate('generic.enabled') ? true : false) : false;
    
    if(proxyInfo.enabled == true)
    {
        proxyInfo.proxyServer = $('proxy_server').value;
        proxyInfo.port = Number($('port').value);
    } 
    else
    {
        proxyInfo.proxyServer = '';
        proxyInfo.port = 0;
    }
    // if proxy port is not a valid number format,set it to an invalid number (i.e. zero) so that JSON request gets sent
    if (isNaN(proxyInfo.port) || proxyInfo.port < 0) {
        proxyInfo.port = 0;
    }

    if (proxyInfo.enabled == true)
        proxyInfo.useCreds = form.getInputs('radio', 'useCreds').size() != 0 ? (form.getInputs('radio', 'useCreds').find(function(radio) { return radio.checked; }).value == Translator.translate('generic.yes') ? true : false) : false;
    else    
        proxyInfo.useCreds = false;

    if (proxyInfo.useCreds) {
        proxyInfo.userName = $('username').value;
        proxyInfo.password = $('password').value;
        proxyInfo.vPassword = $('password').value;
    } else {
        proxyInfo.userName = "";
        proxyInfo.password = "";
        proxyInfo.vPassword = "";
    }

﻿    new Ajax.Request(urlConfig.setProxy, {
﻿        parameters: proxyInfo,
﻿        method: 'post',
﻿        onSuccess: function(transport) { setProxyJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setProxyJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setProxyJSONResponse(proxyResponse) {
﻿    var JobErrorResponse = proxyResponse.evalJSON(true).ProxyResponse;
﻿    var sectionId = 'section_6_0';
﻿    var contentBlockDivId = 'block_section_6_0_0_1';
﻿    var sectionMessagesId = sectionId + '_messages';
﻿    if ($(sectionMessagesId)) {
﻿        // Generate a unique id.
﻿        var tmpId = Math.floor(Math.random() * 10000);
﻿        tmpId = sectionMessagesId + '_' + tmpId;

﻿        var msgText = JobErrorResponse.errorMessage;

﻿        if (JobErrorResponse.responseCode == 0) {
﻿            // Insert new Success message box at bottom of existing message boxes.
﻿            //hideMsgUsingBlindUp(sectionMessagesId);
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿            cancelEditMode('section_6_0');
﻿            resetProxyPassword();
﻿        } else {
﻿            // Hide messages. Insert new Failed message box at bottom of existing message boxes.
﻿            //enableEditButtonsAndHideMsg(sectionMessagesId');
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });

﻿            // Reset the values in the form to the unedited values.
﻿            clearProxyPassword();
﻿            getSimpleFormContentBlock(contentBlockDivId);
﻿            addProxyEvents();
﻿        }
﻿    }
﻿}



//Deployment Mode

function isDeploymentModeValid(form) {
    ﻿    // Disable Cancel and Apply buttons; show Starting message.
    ﻿    //disableEditButtonsAndShowStartMsg('section_4_0');
    ﻿    var set_mode_list = form.getInputs('radio', 'set_mode');
    ﻿    set_mode_list.each(function(radio) {
    ﻿        radio.stopObserving('click');
    ﻿    });
    ﻿    
    
        var deploymentModeInfo = new DeploymentModeInfo();
        var deploymentMode;
        deploymentMode = set_mode_list.size() != 0 ? (set_mode_list.find(function(radio) { return radio.checked; }).value) : 'NotSet';
        
        if( Translator.translate('generic.extralarge') == deploymentMode)
        {
            deploymentMode = 'extralarge';
        } 
        else if( Translator.translate('generic.large') == deploymentMode)
        {
            deploymentMode = 'large';
        } 
        else if(Translator.translate('generic.medium') == deploymentMode)
        {
            deploymentMode = 'medium';
        }
        else
        {
            deploymentMode = 'small';
        }
        deploymentModeInfo.deploymentMode = deploymentMode;
        selectedDeploymentMode = deploymentMode;
       
    ﻿    new Ajax.Request(urlConfig.isDeploymentModeValid, {
    ﻿        parameters: deploymentModeInfo,
    ﻿        method: 'post',
    ﻿﻿        onSuccess: function(transport) { isDeploymentModeValidJSONResponse(transport.responseText,deploymentModeInfo); },
    ﻿        onFailure: function(transport) { isDeploymentModeValidJSONResponse(transport.responseText,deploymentModeInfo); }
    ﻿    });
    ﻿}

    ﻿function isDeploymentModeValidJSONResponse(deploymentModeResponse,deploymentModeInfo) {
    ﻿    var JobErrorResponse = deploymentModeResponse.evalJSON(true).DeploymentModeResponse;
    ﻿    var sectionId = 'section_7_0';
    ﻿    var contentBlockDivId = 'block_section_7_0_0_1';
    ﻿    var sectionMessagesId = sectionId + '_messages';
    ﻿    if ($(sectionMessagesId)) {
    ﻿        // Generate a unique id.
    ﻿        var tmpId = Math.floor(Math.random() * 10000);
    ﻿        tmpId = sectionMessagesId + '_' + tmpId;
    ﻿        var msgText = JobErrorResponse.errorMessage;
    ﻿        if (JobErrorResponse.responseCode == 1) {
    ﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
    ﻿            cancelEditMode('section_7_0');
                openVirtualApplianceActionModalAndCloseSectionMessage(urlConfig.viewRestartDeploymentModalUpgrade, 'halfWidth');
                hideMsgUsingBlindUp(sectionId);
    ﻿        }
            else if (JobErrorResponse.responseCode == -1) {
                    ﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
                    ﻿            cancelEditMode('section_7_0');
                                openVirtualApplianceActionModalAndCloseSectionMessage(urlConfig.viewRestartDeploymentModalDowngrade, 'halfWidth');
                                hideMsgUsingBlindUp(sectionId);
            } 
            else if (JobErrorResponse.responseCode == 0) {
    ﻿            hideMsgUsingBlindUp(sectionId);
    ﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });    ﻿            
    ﻿        }
            else if (JobErrorResponse.responseCode == -2) {
                ﻿hideMsgUsingBlindUp(sectionId);
                ﻿$(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });    ﻿            
            }
            else if (JobErrorResponse.responseCode == -3) {
                ﻿hideMsgUsingBlindUp(sectionId);
                ﻿$(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });    ﻿            
            }
            
    ﻿    }
    ﻿}
        

function setDeploymentMode() {
    var deploymentModeInfo = new DeploymentModeInfo();
    deploymentModeInfo.deploymentMode = selectedDeploymentMode;
    new Ajax.Request(urlConfig.setDeploymentMode, {
    ﻿        parameters: deploymentModeInfo,
    ﻿        method: 'post',
    ﻿    ﻿    onSuccess: function(transport) { setDeploymentModeJSONResponse(transport.responseText); },
    ﻿        onFailure: function(transport) { setDeploymentModeJSONResponse(transport.responseText); }
    ﻿    });
    ﻿}

    ﻿function setDeploymentModeJSONResponse(deploymentModeResponse) {
    ﻿    var JobErrorResponse = deploymentModeResponse.evalJSON(true).DeploymentModeResponse;
    ﻿    var sectionId = 'section_7_0';
    ﻿    var contentBlockDivId = 'block_section_7_0_0_1';
    ﻿    var sectionMessagesId = sectionId + '_messages';
    ﻿    if ($(sectionMessagesId)) {
    ﻿        // Generate a unique id.
    ﻿        var tmpId = Math.floor(Math.random() * 10000);
    ﻿        tmpId = sectionMessagesId + '_' + tmpId;
    ﻿        var msgText = JobErrorResponse.errorMessage;
    ﻿        if (JobErrorResponse.responseCode == 0) {
    ﻿            // Insert new Success message box at bottom of existing message boxes.
    ﻿            hideMsgUsingBlindUp(sectionId);
    ﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
                restartVirtualAppliance();
    ﻿        } else {
    ﻿            // Hide messages. Insert new Failed message box at bottom of existing message boxes.
    ﻿            //enableEditButtonsAndHideMsg(sectionMessagesId');
                hideMsgUsingBlindUp(sectionId);
    ﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });    ﻿            
    ﻿        }
    ﻿    }
    ﻿}
    

// Backup and Restore - Backup Now - section_30_0

﻿var BackupNowInfo = Class.create({
﻿    initialize: function() {
﻿        this.backup = false;
﻿    }
﻿});

﻿function backupNow() {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

﻿    var backupInfo = new BackupShareInfo();
﻿    backupInfo.share = $('backup_file_path').value;
﻿    backupInfo.user = $('backup_username').value;
﻿    backupInfo.password = $('backup_password').value;
﻿    backupInfo.encryptionPassword = $('backup_encpassword').value;
﻿    backupInfo.domain = $('backup_domain').value;

﻿    new Ajax.Request(urlConfig.backupNow, {
﻿        parameters: backupInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { setBackupNowJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setBackupNowJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setBackupNowJSONResponse(backupNowResponse) {
﻿    var JobErrorResponse = backupNowResponse.evalJSON(true).BackupNowResponse;
﻿    var sectionMessagesId;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);

﻿    var msgText = JobErrorResponse.errorMessage;

﻿    if (JobErrorResponse.responseCode == 0) {
﻿        closeModal();

﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_30_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿        onLoadBackupPage();
﻿    } else {
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
﻿        sectionMessagesId = 'section_modalContent_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿        onLoadBackupPage();
﻿    }
﻿}

﻿function openBackupNowModalAndCloseSectionMessage(url, specialModalClass) {
﻿    // Hide any old Success message using a blind up effect.
﻿    $('section_30_0_messages').select('div.msgSuccess').each(function(item) { item.blindUp(); });

﻿    openModalAndCheckSession(url, specialModalClass);
﻿}

﻿// Backup and Restore - Restore Now - _30_0_

﻿var RestoreInfo = Class.create({
    ﻿    initialize: function() {
        ﻿        this.filePath = '';
        ﻿        this.userName = '';
        ﻿        this.password = '';
        ﻿        this.domain = '';
        ﻿    }
        ﻿});

function restore() {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');
﻿    var restoreInfo = new BackupShareInfo();
﻿    restoreInfo.share = $('restore_file_path').value;
﻿    restoreInfo.user = $('restore_username').value;
﻿    restoreInfo.password = $('restore_password').value;
﻿    restoreInfo.encryptionPassword = $('restore_encpassword').value;
﻿    restoreInfo.domain = $('restore_domain').value;

﻿    new Ajax.Request(urlConfig.restore, {
﻿        parameters: restoreInfo,
﻿        method: urlConfig.postMethod,
﻿﻿        onSuccess: function(transport) { setRestoreJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setRestoreJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setRestoreJSONResponse(restoreResponse) {
﻿    var JobErrorResponse = restoreResponse.evalJSON(true).RestoreResponse;
﻿    var sectionMessagesId;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);
﻿    var msgText = JobErrorResponse.errorMessage;
﻿    if (JobErrorResponse.responseCode == 0) {
﻿        closeModal();
﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_30_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    } else {
﻿        sectionMessagesId = 'section_modalContent_0_messages';
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    }
﻿}

//Backup and Restore - Reset Backup Settings

﻿var BackupResetInfo = Class.create({
﻿    initialize: function() {
﻿        this.reset = false;
﻿    }
﻿});

function resetBackupSettings() {
﻿    // Disable Cancel and Apply buttons; show Starting message.
﻿    disableEditButtonsAndShowStartMsg('section_modalContent_0');

﻿    var backupResetInfo = new BackupResetInfo();
﻿    backupResetInfo.reset = true;

    new Ajax.JSON(urlConfig.backupReset, {
﻿        object: backupResetInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { setBackupResetJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setBackupResetJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setBackupResetJSONResponse(backupResetResponse) {
﻿    var JobErrorResponse = backupResetResponse.evalJSON(true).BackupResetResponse;
﻿    var sectionMessagesId;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);
﻿    var msgText = JobErrorResponse.errorMessage;

﻿    if (JobErrorResponse.responseCode == 0) {
﻿        closeModal();
﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_30_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    } else {
﻿        sectionMessagesId = 'section_modalContent_0_messages';
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    }
﻿}

//Backup and Restore - Backup Share (Domain, UserName, and Password) Data - _30_0_

﻿function displayBackupShare(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.BackupShareInfo) {
﻿        var backupShareInfo = data.BackupShareInfo;
﻿        $('share').innerHTML = backupShareInfo.share.length == 0 ? Translator.translate('generic.notConfigured') : backupShareInfo.share;
﻿        $('domain').innerHTML = backupShareInfo.domain.length == 0 ? Translator.translate('generic.notConfigured') : backupShareInfo.domain;
﻿        $('username').innerHTML = backupShareInfo.user.length == 0 ? Translator.translate('generic.notConfigured') : backupShareInfo.user;
﻿        $('password').innerHTML = backupShareInfo.password.length == 0 ? Translator.translate('generic.notConfigured') : Translator.translate('generic.configured');
﻿        $('vpassword').innerHTML = backupShareInfo.vPassword.length == 0 ? Translator.translate('generic.notConfigured') : Translator.translate('generic.configured');
﻿﻿        $('encryptionPassword').innerHTML = backupShareInfo.password.length == 0 ? Translator.translate('generic.notConfigured') : Translator.translate('generic.configured');
﻿        $('encryptionVPassword').innerHTML = backupShareInfo.vPassword.length == 0 ? Translator.translate('generic.notConfigured') : Translator.translate('generic.configured');
﻿        $('encryptionPassword').innerHTML = backupShareInfo.encryptionPassword.length == 0 ? '' : backupShareInfo.encryptionPassword;
﻿        $('encryptionVPassword').innerHTML = backupShareInfo.encryptionPassword.length == 0 ? '' : backupShareInfo.encryptionPassword;
﻿    }
﻿}

﻿var BackupShareInfo = Class.create({
﻿    initialize: function() {
﻿        this.share = '';
﻿        this.domain = '';
﻿        this.user = '';
﻿        this.password = '';
﻿        this.vPassword = '';
﻿        this.encryptionPassword = '';
﻿        this.encryptionVPassword = '';
    }
﻿});

﻿function openRestoreModalAndCloseSectionMessage(url, specialModalClass) {
﻿    // Hide any old Success message using a blind up effect.
﻿    $('section_30_0_messages').select('div.msgSuccess').each(function(item) { item.blindUp(); });

﻿    openModalAndCheckSession(url, specialModalClass);
﻿}

﻿function setBackupShare(form) {
﻿    var backupShareInfo = new BackupShareInfo();
﻿    backupShareInfo.share = $('share').value;
﻿    if ($('domain').value != Translator.translate('generic.notConfigured')) {
﻿        backupShareInfo.domain = $('domain').value;
﻿    }

﻿    backupShareInfo.user = $('username').value;
﻿    backupShareInfo.password = $('password').value;
﻿    backupShareInfo.vPassword = $('vpassword').value;

﻿    new Ajax.Request(urlConfig.setBackupShare, {
﻿        parameters: backupShareInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { setBackupShareJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setBackupShareJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setBackupShareJSONResponse(backupShareResponse) {
﻿    var JobErrorResponse = backupShareResponse.evalJSON(true).BackupShareResponse;
﻿    var sectionId = 'section_30_0';
﻿    var contentBlockDivId = 'block_section_30_0_0_1';
﻿    var sectionMessagesId = sectionId + '_messages';
﻿    if ($(sectionMessagesId)) {
﻿        // Generate a unique id.
﻿        var tmpId = Math.floor(Math.random() * 10000);
﻿        tmpId = sectionMessagesId + '_' + tmpId;

﻿        var msgText = JobErrorResponse.errorMessage;

﻿        if (JobErrorResponse.responseCode == 0) {
﻿            // Insert new Success message box at bottom of existing message boxes.

﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.success') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });

﻿            // Hide (display: none) the Password table row.
﻿            if ($('password')) {
﻿                if ($('password').up('tr')) {
﻿                    // Unhide the Verify Password table row.
﻿                    $('password').up('tr').addClassName('hidden');
﻿                }
﻿                $('password').innerHTML = Translator.translate('generic.configured');
﻿            }

﻿            // Hide (display: none) the Verify Password table row.
﻿            if ($('vpassword')) {
﻿                if ($('vpassword').up('tr')) {
﻿                    // Unhide the Verify Password table row.
﻿                    $('vpassword').up('tr').addClassName('hidden');
﻿                }
﻿                $('vpassword').innerHTML = Translator.translate('generic.configured');
﻿            }
﻿        } else {
﻿            // Hide any old Start or Failure message using a blind up effect.
﻿            $(sectionMessagesId).select('div#divMsgStarting').each(function(item) { item.blindUp(); });
﻿            $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate('generic.failed') + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿            // Reset the values in the form to the unedited values.
﻿            getSimpleFormContentBlock(contentBlockDivId);

﻿            hidePasswordTR();
﻿            hideVPasswordTR();

﻿        }


﻿    }
﻿}

// Backup and Restore - Backup Schedule - _31_0_

﻿function displayBackupSchedule(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    var localTime = '';
﻿    if (data.BackupScheduleInfo) {
﻿        var backupSchedule = data.BackupScheduleInfo;
﻿        $('enabled_state').innerHTML = backupSchedule.enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');

﻿        var days = '';
﻿        days = backupSchedule.sunday == true ? Translator.translate('generic.sundayAbbrev') + ',&nbsp;' : '';
﻿        days += backupSchedule.monday == true ? Translator.translate('generic.mondayAbbrev') + ',&nbsp;' : '';
﻿        days += backupSchedule.tuesday == true ? Translator.translate('generic.tuesdayAbbrev') + ',&nbsp;' : '';
﻿        days += backupSchedule.wednesday == true ? Translator.translate('generic.wednesdayAbbrev') + ',&nbsp;' : '';
﻿        days += backupSchedule.thursday == true ? Translator.translate('generic.thursdayAbbrev') + ',&nbsp;' : '';
﻿        days += backupSchedule.friday == true ? Translator.translate('generic.fridayAbbrev') + ',&nbsp;' : '';
﻿        days += backupSchedule.saturday == true ? Translator.translate('generic.saturdayAbbrev') + ',&nbsp;' : '';

﻿        if (days.length > 7) {
﻿            // Remove the trailing comma and escaped non-breaking space character sequence.
﻿            days = days.substring(0, days.length - 7);
﻿        }
﻿        if (days.length == 0) {
﻿            days = Translator.translate('generic.notConfigured');
﻿        }
﻿        $('days').innerHTML = days;

﻿        if (backupSchedule.timeOfBackup.length > 0) {
﻿            localTime = getLocalDateTime(backupSchedule.timeOfBackup);
﻿            if (localTime != 'NaN') {
﻿                localTime = getTimePart(localTime.toTimeString());
﻿                $('timeOfBackup').innerHTML = localTime;
﻿            } else {
﻿                $('timeOfBackup').innerHTML = Translator.translate('generic.notConfigured');
﻿            }
﻿        } else {
﻿            $('timeOfBackup').innerHTML = Translator.translate('generic.notConfigured');
﻿        }

﻿        localTime = getLocalDateTime(backupSchedule.nextBackup);
﻿        if (localTime != 'NaN') {
﻿            $('nextBackup').innerHTML = localTime.toLocaleDateString() + " " + getTimePart(localTime.toTimeString()) + " " + buildTimeZoneDesignation();
﻿        } else {
﻿            $('nextBackup').innerHTML = backupSchedule.nextBackup;
﻿        }
﻿        localTime = getLocalDateTime(backupSchedule.lastBackupDate);
﻿        if (localTime != 'NaN') {
﻿            $('lastBackupDate').innerHTML = localTime.toLocaleDateString() + " " + getTimePart(localTime.toTimeString()) + " " + buildTimeZoneDesignation();
﻿        } else {
﻿            $('lastBackupDate').innerHTML = backupSchedule.lastBackupDate;
﻿        }

﻿        $('lastBackupStatus').innerHTML = backupSchedule.lastBackupStatus;

﻿    }

﻿}

﻿var BackupScheduleInfo = Class.create({
﻿    initialize: function() {
﻿        this.enabled = false;
﻿        this.sunday = false;
﻿        this.monday = false;
﻿        this.tuesday = false;
﻿        this.wednesday = false;
﻿        this.thursday = false;
﻿        this.friday = false;
﻿        this.saturday = false;
﻿        this.timeOfBackup = '';
﻿        this.lastBackupDate = Translator.translate('generic.notDetermined');
﻿        this.lastBackupStatus = Translator.translate('generic.notDetermined');
﻿        this.nextBackup = Translator.translate('generic.notDetermined');
﻿        this.serverTimeZone = '';
﻿        this.serverTime = '';
﻿    }
﻿});

﻿function setBackupSchedule(form) {
﻿    var backupScheduleInfo = new BackupScheduleInfo();
﻿    backupScheduleInfo.enabled = Form.getInputs('frmBackupSchedule', 'radio', 'enabled_state').size() != 0 ? (Form.getInputs('frmBackupSchedule', 'radio', 'enabled_state').find(function(radio) { return radio.checked; }) != null ? (Form.getInputs('frmBackupSchedule', 'radio', 'enabled_state').find(function(radio) { return radio.checked; }).value == Translator.translate('generic.enabled') ? true : false) : false) : false;

﻿    var days = Form.getInputs('frmBackupSchedule', 'checkbox', 'days[]');

﻿    // checkbox tests for validation
﻿    var atleastOneChecked = false;
﻿    days.each(function(el) {
﻿        if (el.checked) {
﻿            atleastOneChecked = true;
﻿        }
﻿    }); // timeOfBackup form field validation
﻿    var timeOfBackup = $('timeOfBackup').value;
﻿    var timeOfBackupIsValid = true;
﻿    var finalDate = '';

﻿    if (timeOfBackup == '' || timeOfBackup == "HH:mm" || timeOfBackup == Translator.translate('generic.notConfigured') || timeOfBackup == Translator.translate('generic.notConfigured')) {
﻿        timeOfBackupIsValid = false;
﻿    } else {
﻿        timeOfBackupIsValid = false;
﻿        var date = new Date();
﻿        var time = $('timeOfBackup').value;
﻿        time = time.split(":", 2);
﻿        if (time.length == 2) {
﻿            if (time[0].length == 2 && time[1].length == 2) {
﻿                var hours = parseInt(time[0]);
﻿                var minutes = parseInt(time[1]);
﻿                if ((hours >= 0 && hours <= 23) && (minutes >= 0 && minutes <= 59)) {
﻿                    finalDate = new Date(date.getFullYear(), date.getMonth(), date.getDate(), time[0], time[1], 0);
﻿                    if (finalDate.toString() != 'NaN') {
﻿                        finalDate =finalDate.getUTCMonth() +1 + "/" + finalDate.getUTCDate() + "/" + finalDate.getUTCFullYear() + "/" + finalDate.getUTCHours() + "/" + finalDate.getUTCMinutes();
﻿                        timeOfBackupIsValid = true;
﻿                    }
﻿                }

﻿            }

        }
    }

    if(backupScheduleInfo.enabled==false){        
        new Ajax.Request(urlConfig.setBackupSchedule, {
            parameters: backupScheduleInfo,
            method: 'post',
            ﻿onSuccess: function(transport) { setBackupScheduleJSONResponse(transport.responseText); },
            onFailure: function(transport) { setBackupScheduleJSONResponse(transport.responseText); }
        });
    }
    else if (atleastOneChecked && timeOfBackupIsValid) {
        backupScheduleInfo.sunday = days[0] ? days[0].checked : false;
        backupScheduleInfo.monday = days[1] ? days[1].checked : false;
        backupScheduleInfo.tuesday = days[2] ? days[2].checked : false;
        backupScheduleInfo.wednesday = days[3] ? days[3].checked : false;
        backupScheduleInfo.thursday = days[4] ? days[4].checked : false;
        backupScheduleInfo.friday = days[5] ? days[5].checked : false;
        backupScheduleInfo.saturday = days[6] ? days[6].checked : false;
        backupScheduleInfo.timeOfBackup = finalDate;

        new Ajax.Request(urlConfig.setBackupSchedule, {
            parameters: backupScheduleInfo,
            method: 'post',
            ﻿onSuccess: function(transport) { setBackupScheduleJSONResponse(transport.responseText); },
            onFailure: function(transport) { setBackupScheduleJSONResponse(transport.responseText); }
        });
    } else {
        var errors = [];
        if (!atleastOneChecked) {
            errors.push(Translator.translate('backupAndRestore.messages.mustCheckAtLeastOneDay'));
        }
        if (!timeOfBackupIsValid) {
            errors.push(Translator.translate('backupAndRestore.messages.mustEnterBackupTimeIn24Format'));
        }

﻿        // show the errors
﻿        var stringList = '<p>';
﻿        errors.each(function(err) { // display each error
﻿            stringList += err + '<br />';
﻿        });
﻿        stringList += '</p>';
﻿        var localMsgArea = $('section_31_0_messages');
﻿        var localTmpId = localMsgArea.readAttribute('id') + '_' + (Math.floor(Math.random() * 10000));
﻿        localMsgArea.update().insert({ bottom: '<div id="' + localTmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.failed") + '</div></td><td class="maxWidthCol"><div class="msgText">' + stringList + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + localTmpId + '\');"></div><div style="clear:both;"></div></div>' });
﻿    }

﻿}

﻿function setBackupScheduleJSONResponse(backupScheduleResponse) {
﻿    var JobErrorResponse = backupScheduleResponse.evalJSON(true).BackupScheduleResponse;
﻿    var sectionId = 'section_31_0';
﻿    var contentBlockDivId = 'block_section_31_0_0_1';
﻿    var sectionMessagesId = sectionId + '_messages';
﻿    if ($(sectionMessagesId)) {
﻿        // Generate a unique id.
﻿        var tmpId = Math.floor(Math.random() * 10000);
﻿        tmpId = sectionMessagesId + '_' + tmpId;

﻿        var msgText = JobErrorResponse.errorMessage;

﻿        if (JobErrorResponse.responseCode == 0) {
﻿            onLoadBackupPage();
﻿            // Insert new Success message box at bottom of existing message boxes.
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.success") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿            if ($('days').innerHTML == '') {
﻿                $('days').innerHTML = Translator.translate("generic.none");
﻿            }
﻿        } else {
﻿            // Hide messages. Insert new Failed message box at bottom of existing message boxes.
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.failed") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });

﻿            // Reset the values in the form to the unedited values.
﻿            getSimpleFormContentBlock(contentBlockDivId);
﻿        }
﻿    }
﻿}

//Alert Management

﻿function displayAlert(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.AlertInfo) {
﻿        var alertData = data.AlertInfo;
﻿        $('number_of_alerts').innerHTML = alertData.currentNumber.length == 0 ? '0' : alertData.currentNumber;
﻿        $('max_of_alerts').innerHTML = alertData.maxNumber.length == 0 ? Translator.translate('generic.notConfigured') : alertData.maxNumber;
﻿        $('days_to_retain').innerHTML = alertData.daysToRetain.length == 0 ? Translator.translate('generic.notConfigured') : alertData.daysToRetain;
﻿        $('timeout_for_duplicates').innerHTML = alertData.timeOutForDuplicates.length == 0 ? Translator.translate('generic.notConfigured') : alertData.timeOutForDuplicates;
﻿    }
﻿}

﻿var AlertInfo = Class.create({
﻿    initialize: function() {
﻿        this.currentNumber = 0;
﻿        this.maxNumber = 0;
﻿        this.daysToRetain = 0;
﻿        this.timeOutForDuplicates = 0;
﻿        this.rowsToClean = 0;
﻿        this.cleanUpInterval = 120;
﻿    }
﻿});

﻿function setAlert(form) {
﻿    var alertInfo = new AlertInfo();
﻿    if ($('max_of_alerts').value == Translator.translate('generic.notConfigured')) {
﻿        alertInfo.maxNumber = '';
﻿    } else {
﻿        alertInfo.maxNumber = $('max_of_alerts').value;
﻿    }
﻿    if ($('days_to_retain').value == Translator.translate('generic.notConfigured')) {
﻿        alertInfo.daysToRetain = '';
﻿    } else {
﻿        alertInfo.daysToRetain = $('days_to_retain').value;
﻿    }
﻿    if ($('timeout_for_duplicates').value == Translator.translate('generic.notConfigured')) {
﻿        alertInfo.timeOutForDuplicates = '';
﻿    } else {
﻿        alertInfo.timeOutForDuplicates = $('timeout_for_duplicates').value;
﻿    }
﻿    new Ajax.Request(urlConfig.setAlert, {
﻿        parameters: alertInfo,
﻿        method: 'post',
﻿        onSuccess: function(transport) { setAlertJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setAlertJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setAlertJSONResponse(alertResponse) {
﻿    var JobErrorResponse = alertResponse.evalJSON(true).AlertResponse;
﻿    var sectionId = 'section_4_0';
﻿    var contentBlockDivId = 'block_section_4_0_0_1';
﻿    var sectionMessagesId = sectionId + '_messages';
﻿    if ($(sectionMessagesId)) {
﻿        // Generate a unique id.
﻿        var tmpId = Math.floor(Math.random() * 10000);
﻿        tmpId = sectionMessagesId + '_' + tmpId;

﻿        var msgText = JobErrorResponse.errorMessage;

﻿        if (JobErrorResponse.responseCode == 0) {
﻿            // Insert new Success message box at bottom of existing message boxes.
             onLoadAlertsPage();
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.success") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        } else {
﻿            // Hide messages. Insert new Failed message box at bottom of existing message boxes.
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.failed") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });

﻿            // Reset the values in the form to the unedited values.
﻿            getSimpleFormContentBlock(contentBlockDivId);
﻿        }
﻿    }
﻿}

// Change Admin Password

﻿var PasswordInfo = Class.create({
﻿    initialize: function() {
﻿        this.currentPassword = '';
﻿        this.newPassword = '';
﻿        this.vNewPassword = '';
﻿    }
﻿});

﻿function changeAdminPassword() {
﻿    // Hide any old Success message using a blind up effect.
﻿    $('section_9_0_messages').select('div.msgSuccess').each(function(item) { item.blindUp(); });
﻿    $('section_9_0_messages').select('div.msgFailure').each(function(item) { item.blindUp(); });

﻿    var passwordInfo = new PasswordInfo();
﻿    passwordInfo.currentPassword = $('current_password').value;
﻿    passwordInfo.newPassword = $('new_password').value;
﻿    passwordInfo.vNewPassword = $('verify_new_password').value;

﻿    // Reset the form fields to blank.
﻿    $('current_password').value = '';
﻿    $('new_password').value = '';
﻿    $('verify_new_password').value = '';

﻿    new Ajax.Request(urlConfig.changePassword, {
﻿        parameters: passwordInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { setPasswordJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setPasswordJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setPasswordJSONResponse(passwordResponse) {
﻿    var JobErrorResponse = passwordResponse.evalJSON(true).PasswordResponse;
﻿    var sectionId = 'section_9_0';
﻿    var contentBlockDivId = 'block_section_9_0_0_0';
﻿    var sectionMessagesId = sectionId + '_messages';
﻿    if ($(sectionMessagesId)) {
﻿        // Generate a unique id.
﻿        var tmpId = Math.floor(Math.random() * 10000);
﻿        tmpId = sectionMessagesId + '_' + tmpId;

﻿        var msgText = JobErrorResponse.errorMessage;

﻿        if (JobErrorResponse.responseCode == 0) {
﻿            // Insert new Success message box at bottom of existing message boxes.
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.success") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });

﻿            // Set one of SimpleForm's properties with the content block's inner HTML.
﻿            setSimpleFormContentBlock(contentBlockDivId);
﻿        } else {
﻿            // Hide messages. Insert new Failed message box at bottom of existing message boxes.
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.failed") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });

﻿            // Reset the values in the form to the unedited values.
﻿            getSimpleFormContentBlock(contentBlockDivId);
﻿        }
﻿    }
﻿}

﻿var NetworkInfo = Class.create({
﻿    initialize: function() {
﻿        this.hostName ="localhost";
﻿        this.ipAddress ="";
﻿        this.subnetMask ="";
﻿        this.primaryDNS = "";
﻿        this.secondaryDNS = "";
﻿        this.defaultGateway = "";
﻿        this.ntpServer = "";
        this.nicInfoList = new ArrayList();
﻿    }
﻿});

﻿function displayNetworkInfo(transport) {
﻿    var data = transport.responseText.evalJSON(true);
    //window.alert(JSON.stringify(data)); 
﻿    if (data.NetworkInfo) {
        var hostname="<tr class=\"dataFieldRow\"><td class=\"fldDescription\"><span>"+Translator.translate("applianceManagement.applianceHostname")+"</span></td><td class=\"fldValue\"><span id=\"host_name\" helptext=\"Loading...\"><fmt:message key=\"generic.loading\" /></span></td></tr>";
        var primaryDns="<tr class=\"dataFieldRow\"><td class=\"fldDescription\"><span>"+Translator.translate("applianceManagement.primaryDns")+"</span></td><td class=\"fldValue\"><span id=\"primary_dns\" helptext=\"Loading...\"><fmt:message key=\"generic.loading\" /></span></td></tr>";
        var secondaryDns="<tr class=\"dataFieldRow\"><td class=\"fldDescription\"><span>"+Translator.translate("applianceManagement.secondaryDns")+"</span></td><td class=\"fldValue\"><span id=\"secondary_dns\" helptext=\"Loading...\"><fmt:message key=\"generic.loading\" /></span></td></tr>";
        
        //empty row between nic information
        var emptyRow='<tr class="dataFieldRow"><td class="fldValue"></td></tr>';
        var finalString =  hostname + primaryDns + secondaryDns + emptyRow;
        
        var netInfo = data.NetworkInfo;
        var nicinfolist =  netInfo.nicInfoList;
        var length = nicinfolist.length;
        
        for (i = 0 ; i <length ; i++ )
        {
            var nicId = "nic" + i;
            var nicIPId = "nicIP" + i;
            var nicIPMaskId = "nicMask" + i;
            
            var nic='<tr class="dataFieldRow"><td class="fldValue"><span id="'+nicId+'" helptext="Loading..."><fmt:message key="generic.loading" /></span></td></tr>';
            var nicIP='<tr class="dataFieldRow"><td class="fldDescription"><span class="padding-left-15">'+Translator.translate("applianceManagement.applianceTcpipAddress")+'</span></td><td class="fldValue"><span id="'+nicIPId+'" helptext="Loading..."><fmt:message key="generic.loading" /></span></td></tr>';
            var nicIPMask='<tr class="dataFieldRow"><td class="fldDescription"><span class="padding-left-15">'+Translator.translate("applianceManagement.subnetMask")+'</span></td><td class="fldValue"><span id="'+nicIPMaskId+'" helptext="Loading..."><fmt:message key="generic.loading" /></span></td></tr>';
            finalString = finalString + nic + nicIP + nicIPMask + emptyRow;
        }
        document.getElementById('GeneralSettingTable').innerHTML = finalString;
        
﻿        $('host_name').innerHTML = netInfo.hostName;
﻿        $('primary_dns').innerHTML = netInfo.primaryDNS;
﻿        $('secondary_dns').innerHTML = netInfo.secondaryDNS;

        for (i = 0 ; i <length ; i++ )
        {
            var nicId = "nic" + i;
            var nicIPId = "nicIP" + i;
            var nicIPMaskId = "nicMask" + i;
            
            $(nicId).innerHTML = nicinfolist[i].name;
            $(nicIPId).innerHTML = nicinfolist[i].ipAddress;
            $(nicIPMaskId).innerHTML = nicinfolist[i].netMask;
        }
        //$('default_gateway').innerHTML = netInfo.defaultGateway;
﻿    }
﻿}

﻿var EncryptionPasswordInfo = Class.create({
﻿    initialize: function() {
﻿        this.password = '';
﻿        this.vPassword = '';
﻿    }
﻿});


﻿function setEncryptionPassword(form) {

﻿    var passwordInfo = new EncryptionPasswordInfo();
﻿    passwordInfo.password = $('encpassword').value;
﻿    passwordInfo.vPassword = $('vencpassword').value;

﻿    new Ajax.Request(urlConfig.setEncryptionPassword, {
﻿        parameters: passwordInfo,
﻿        method: urlConfig.postMethod,
﻿        onSuccess: function(transport) { setEncryptionPasswordJSONResponse(transport.responseText); },
﻿        onFailure: function(transport) { setEncryptionPasswordJSONResponse(transport.responseText); }
﻿    });
﻿}

﻿function setEncryptionPasswordJSONResponse(encryptionPasswordResponse) {
﻿    var JobErrorResponse = encryptionPasswordResponse.evalJSON(true).EncryptionPasswordResponse;
﻿    var sectionId = 'section_32_0';
﻿    var contentBlockDivId = 'block_section_32_0_0_1';
﻿    var sectionMessagesId = sectionId + '_messages';
﻿    if ($(sectionMessagesId)) {
﻿        // Generate a unique id.
﻿        var tmpId = Math.floor(Math.random() * 10000);
﻿        tmpId = sectionMessagesId + '_' + tmpId;

﻿        var msgText = JobErrorResponse.errorMessage;

﻿        if (JobErrorResponse.responseCode == 0) {
﻿            // Insert new Success message box at bottom of existing message boxes.

﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.success") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });

﻿            // Hide (display: none) the Password table row.
﻿            if ($('encpassword')) {
﻿                if ($('encpassword').up('tr')) {
﻿                    // Unhide the Verify Password table row.
﻿                    $('encpassword').up('tr').addClassName('hidden');

﻿                }
﻿                $('encpassword').innerHTML = '';
﻿            }

﻿            // Hide (display: none) the Verify Password table row.
﻿            if ($('vencpassword')) {
﻿                if ($('vencpassword').up('tr')) {
﻿                    // Unhide the Verify Password table row.
﻿                    $('vencpassword').up('tr').addClassName('hidden');
﻿                }
﻿                $('vencpassword').innerHTML = '';

﻿            }

﻿        } else {
﻿            // Hide any old Start or Failure message using a blind up effect.
﻿            $(sectionMessagesId).select('div#divMsgStarting').each(function(item) { item.blindUp(); });
﻿            $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.failed") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿            // Reset the values in the form to the unedited values.
﻿            getSimpleFormContentBlock(contentBlockDivId);
﻿        }


﻿    }
﻿}

﻿function displayEncryptionPassword(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.EncryptionPasswordInfo) {
﻿        var passwordInfo = data.EncryptionPasswordInfo;
﻿        $('encpassword').innerHTML = passwordInfo.password;
﻿        $('vencpassword').innerHTML = passwordInfo.vPassword;

﻿    }
﻿}


﻿var ApplianceCertificateInfo = Class.create({
﻿    initialize: function() {
﻿        this.issuedTo;
﻿        this.issuedBy;
﻿        this.validFrom;
﻿    }
﻿});

﻿function displayApplianceCertificateInfo(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.ApplianceCertificateInfo) {
﻿        var info = data.ApplianceCertificateInfo;
﻿        $('issued_by').innerHTML = info.issuedBy;
﻿        $('issued_to').innerHTML = info.issuedTo;
﻿        $('valid_from').innerHTML = info.validFrom;

﻿    }
﻿}

﻿function displayTarball(transport) {
﻿    //alert('displayTarball: ' + transport.responseText);
﻿    var JobErrorResponse = transport.responseText.evalJSON(true).GetTarballResponse;
﻿    if (JobErrorResponse.responseCode == 0) {
﻿        var msg = Translator.translate('applianceManagement.downloadBundleInstructions') + '<p><p><a ' +
    ﻿        'class=\"modalIconLink\"' + 'href="'
        ﻿        + JobErrorResponse.errorMessage + '">' + Translator.translate("applianceManagement.downloadBundleLink") + '</a>';
﻿        displayModalResult(msg, Translator.translate('generic.close'), 'statusLargeSuccessIcon');
﻿    } else {
﻿        displayModalResult(JobErrorResponse.errorMessage, Translator.translate('generic.close'), 'statusLargeCriticalIcon');
﻿    }
﻿}


﻿function displayModalResult(messageContent, buttonName, iconType) {
﻿    var selector = $('update_status');
﻿    var checkbox = document.createElement('div');
﻿    selector.innerHTML = messageContent;
﻿    checkbox.setAttribute('class', 'statusLargeIcon ' + iconType);
﻿    Element.replace($('update_status_icon'), checkbox);

﻿    //$('block_section_modalContent_0_0_0').insert({ bottom: messageContent });
﻿    $('tarball_button').innerHTML = buttonName;
﻿}

﻿var LicenseInfo = Class.create({
﻿    initialize: function() {
﻿        this.maxVCenters = "0";
﻿        this.maxHosts = "0";
﻿        this.vCentersUsed = "0";
﻿        this.vCentersRemaining = "0";
﻿        this.hostsUsed = "0";
﻿        this.hostsRemaining = "0";
﻿        this.hostsUnlicensed = "0";
﻿    }
﻿});

﻿function displayLicenseInfo(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.LicenseInfo) {
    $('unlicensedHostsRow').hide();
    $('hostLicenseMessageSection').hide();
    $('hostLicenseMessageDivider').hide();

﻿        var info = data.LicenseInfo;

﻿        $('maxVCenters').innerHTML = info.maxVCenters;
﻿        $('maxHosts').innerHTML = info.maxHosts;
﻿        $('vCentersUsed').innerHTML = info.vCentersUsed;
﻿        $('vCentersRemaining').innerHTML = info.vCentersRemaining;
﻿        $('hostsUsed').innerHTML = info.hostsUsed;

﻿        //If the host license is unlimited, then don't check anything else.
﻿        if (info.maxHosts >= 100000) {
﻿            $('hostsRemaining').up('tr').addClassName('hidden');
﻿            $('maxHosts').innerHTML = Translator.translate("generic.unlimited");
﻿        }
﻿        //If the license is not unlimited
﻿        else {
﻿            $('hostsRemaining').up('tr').removeClassName('hidden');
﻿            $('hostsRemaining').innerHTML = info.hostsRemaining;
            
﻿            if (info.evaluation) {
﻿                // Trial license, ensure the link to purchase is shown
﻿                $('license_purchase_link').show();
﻿            } else {
﻿                // Hide the link to purchase the license
﻿                $('license_purchase_link').hide();
﻿            }

﻿            if (info.hostsUnlicensed != "0") {
﻿                $('unlicensedHosts').innerHTML = info.hostsUnlicensed;
﻿                $('unlicensedHostsRow').show();
﻿            }
﻿        }

        if(info.messages !== 'undefined' && info.messages.length > 0)
        {
            var messages = "";
            for(var i = 0; i < info.messages.length; i++)
            {
                messages = messages.concat(info.messages[i] + "<br/>");
            }
            $('hostLicenseMessage').innerHTML = messages;
            $('hostLicenseMessageSection').show();
            $('hostLicenseMessageDivider').show();
        }

﻿        if (info.vCentersUsed == info.maxVCenters) {
﻿            $('vCenterLicenseInfo').show();
﻿        }

﻿    }
﻿}

﻿function onVCenterPageLoad() {
﻿    var request1 = new Ajax.Request(urlConfig.getLicenseInfo, {
﻿        method: 'get',
﻿        onComplete: function(transport) {
﻿            displayLicenseInfo(transport);
﻿        }
﻿    });
﻿    var request2 = new Ajax.Request(urlConfig.getVCenters, {
﻿        method: 'get',
﻿        onComplete: function(transport) {
﻿            displayVCenters(transport);
﻿        }
﻿    });
﻿}

﻿var ApplianceUpdate = Class.create({
﻿    initialize: function() {
﻿        this.repositoryPath = Translator.translate("generic.notDetermined");
﻿        this.currentVersion = Translator.translate("generic.notDetermined");
﻿        this.availableVersion = Translator.translate("generic.notDetermined");
﻿        this.upgradePossible = false;
﻿        this.defaultURL = Translator.translate("generic.notDetermined");

﻿    }
﻿});

﻿function displayApplianceUpdateInfo(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.ApplianceUpdate) {
﻿        var info = data.ApplianceUpdate;
﻿        $('current_appliance_version').innerHTML = info.currentVersion;
﻿        $('available_appliance_version').innerHTML = info.availableVersion;
        $('available_appliance_version_type').value = info.availableVersionType;
        $('repositoryPath').innerHTML = info.repositoryPath;
﻿        $('upgradePossible').value = info.upgradePossible;
﻿        $('defaultURL').innerHTML = info.defaultURL;
        
        if( info.availableVersionType == "OVF" ){
            
            $('update_type_icon_ovf').src = 'images/icons/check.png';
            $('update_type_icon_rpm').src = 'images/icons/cross.png';
        
        }
        else if(info.availableVersionType == "RPM" ){
        
            $('update_type_icon_rpm').src = 'images/icons/check.png';
            $('update_type_icon_ovf').src = 'images/icons/cross.png';
        
        }
        else if((info.availableVersionType == "RPM/OVF") || (info.availableVersionType == "OVF/RPM") ){
        
            $('update_type_icon_rpm').src = 'images/icons/check.png';
            $('update_type_icon_ovf').src = 'images/icons/check.png';
            
        }else {
            $('update_type_icon_rpm').src = 'images/icons/cross.png';
            $('update_type_icon_ovf').src = 'images/icons/cross.png';
        }
        
        $('update_type_icon_rpm').style.height = "10px";
        $('update_type_icon_rpm').style.width = "10px";
        $('update_type_icon_ovf').style.height = "10px";
        $('update_type_icon_ovf').style.width = "10px";
    }
﻿}

﻿/*function displayStratusMPUpdateInfo(transport) {
    ﻿    var data = transport.responseText.evalJSON(true);
    ﻿    if (data.ApplianceUpdate) {
    ﻿        var info = data.ApplianceUpdate;
    ﻿        $('available_stratus_mp_version_type').innerHTML = info.availableStratusMPVersion;
    ﻿    }
    ﻿}*/

﻿var NetworkShareInfo = Class.create({
﻿    initialize: function() {
﻿        this.share = "";
﻿        this.user = "";
﻿        this.password = "";
﻿        this.folder = true;
﻿    }
﻿});

﻿var SecurityObject = Class.create({
﻿    initialize: function() {
﻿        this.secretKey = "";
﻿    }
﻿});


﻿function restoreCertificate() {
﻿    // Disable Cancel and Apply buttons; the Apply button is actually rendered first even though it is shown on the right.
     // alert("dsfdsfds dsfd esfd ddds df")
﻿    $('section_modalContent_0').select('.sectionEditButtons button').each(function(item) {
﻿        item.disabled = true;
﻿        item.removeClassName('stdButtonEmphasized1');
﻿        item.addClassName('stdButtonDisabled');
﻿    });

﻿    enableProcessingInModal(Translator.translate("generic.pleaseWait") + "...");
﻿    var securityObject = new SecurityObject();
﻿
    var request = new Ajax.Request(urlConfig.restoreCertificate, {
﻿        parameters: securityObject,
﻿        method: 'post',
﻿        onSuccess: function(transport) { setGenericJSONResponse('section_5_0', transport.responseText); },
﻿        onFailure: function(transport) { setGenericJSONResponse('section_5_0', transport.responseText); }
﻿    });
﻿}

﻿function setGenericJSONResponse(sectionId, virtualApplianceActionResponse) {
    //alert("getting resposne data");
﻿    var JobErrorResponse = virtualApplianceActionResponse.evalJSON(true).VirtualApplianceActionResponse;
﻿    var sectionMessagesId;
﻿    // Generate a unique id.
﻿    var tmpId = Math.floor(Math.random() * 10000);
﻿    var msgText = JobErrorResponse.errorMessage;

﻿    if (JobErrorResponse.responseCode == 0) {
         $('section_modalContent_0_success').setStyle({display:'block'})
         $('section_modalContent_0').setStyle({display:'none'})     
         $('uploadCertificatePagesPlugin').setStyle({display:'block'})
         $('otherModalsVisibleClose').setStyle({display:'none'})
         //submitLogout()
﻿        //closeModal();
﻿        // Insert new Success message box at bottom of existing message boxes.
﻿        sectionMessagesId = 'section_modalContent_0_messages_success';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgSuccess"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.success") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    } else {
﻿        // Hide messages. Insert new Failed message box at bottom of existing message boxes in the modal window.
﻿        enableEditButtonsAndHideMsg('section_modalContent_0');
﻿        sectionMessagesId = 'section_modalContent_0_messages';
﻿        tmpId = sectionMessagesId + '_' + tmpId;
﻿        if ($(sectionMessagesId)) {
﻿            $(sectionMessagesId).insert({ bottom: '<div id="' + tmpId + '" class="msgBox msgFailure"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.failed") + '</div></td><td class="maxWidthCol"><div class="msgText">' + msgText + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'' + tmpId + '\');"></div></div>' });
﻿        }
﻿    }
﻿}

﻿function showStartMsg(sectionId) {
﻿    var sectionMessagesId = sectionId + '_messages';

﻿    // Hide any old Failure or Success message using a blind up effect.
﻿    $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
﻿    $(sectionMessagesId).select('div.msgSuccess').each(function(item) { item.blindUp(); });

﻿    // Display only one (generic) Starting message.
﻿    if ($(sectionMessagesId).down('div#divMsgStarting', 0)) {
﻿        $(sectionMessagesId).select('div#divMsgStarting').each(function(item) { item.setStyle({ display: '' }); });
﻿    } else {
﻿        $(sectionMessagesId).insert({ bottom: '<div id="divMsgStarting" class="msgBox msgInfo"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.processing") + '</div></td><td class="maxWidthCol"><div class="msgText">' + Translator.translate("generic.pleaseWait") + '...</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'divMsgStarting\');"></div></div>' });
﻿    }
﻿}

﻿var NtpSettings = Class.create({
﻿    initialize: function() {
﻿        this.enabled;
﻿        this.ntpPreferred;
﻿        this.ntpSecondary;
﻿    }
﻿});

﻿function displayNtpSettings(transport, shouldClearMessages) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    
    if (shouldClearMessages) {
        // Hide any old Failure or Success message using a blind up effect.
        var sectionMessagesId = 'section_3_0_messages';
        $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
        $(sectionMessagesId).select('div.msgSuccess').each(function(item) { item.blindUp(); });
    }

﻿    if (data.NtpSettings) {
﻿        var settings = data.NtpSettings;
﻿        $('enabled').value = settings.enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');
﻿        $('enabled').innerHTML = settings.enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');
﻿        var ntpStandard = $('ntp_standard');
﻿        if (settings.enabled) {
﻿            var tmpId = '_' + (Math.floor(Math.random() * 10000));
﻿            if (ntpStandard)
﻿                ntpStandard.innerHTML = '<div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.info") + '.</div></td><td class="maxWidthCol"><div class="msgText">' + Translator.translate("applianceManagement.vmwareToolsTimeSyncOptionDisabled") + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'ntp_standard\');"></div></div>';
﻿            else
﻿                $('section_3_0_messages').insert({ bottom: '<div id="ntp_standard" class="msgBox msgInfo"><div class="msgIcon"></div><div class="msgContent"><table class="msgTable"><tr><td><div class="msgTitle">' + Translator.translate("generic.info") + '.</div></td><td class="maxWidthCol"><div class="msgText">' + Translator.translate("applianceManagement.vmwareToolsTimeSyncOptionDisabled") + '</div></td></tr></table></div><div class="msgCloseButton" onclick="closeMsgBox(\'ntp_standard\');"></div></div>' });
﻿        } else {
﻿            if (ntpStandard)
﻿                ntpStandard.remove();
﻿        }

﻿        if (settings.ntpPreferred != '') {
﻿            $('ntpPreferred').innerHTML = settings.ntpPreferred;
﻿        }

﻿        if (settings.ntpSecondary != '') {
﻿            $('ntpSecondary').innerHTML = settings.ntpSecondary;
﻿        }
﻿    }
﻿}

﻿function displayBackupSettings(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.BackupSettings) {
﻿        var settings = data.BackupSettings;
﻿        $('backupLocation').innerHTML = settings.backupLocation;
﻿        $('userName').innerHTML = settings.userName;
﻿        $('backupLocationPassword').innerHTML = settings.backupLocationPassword;
﻿        $('encryptionPassword').innerHTML = settings.encryptionPassword;
﻿        $('encryptionVPassword').innerHTML = settings.encryptionPassword;
    }
﻿}
﻿
function refreshNTPSettings() {
    new Ajax.Request(urlConfig.getNtpSettings, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayNtpSettings(transport, false);
﻿        }
﻿    });
}


﻿function refreshNTPonCancel() {

﻿    cancelEditMode('section_3_0');
﻿    new Ajax.Request(urlConfig.getNtpSettings, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayNtpSettings(transport, true);
﻿        }
﻿    });
﻿}

﻿function onLoadBackupPage() {

﻿    $$('.sectionEditButton').each(function(item) { item.addClassName('disabled'); });

﻿    new Ajax.Request(urlConfig.getBackupSettings, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayBackupSettings(transport);
﻿        }
﻿    });

﻿    new Ajax.Request(urlConfig.getBackupSchedule, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayBackupSchedule(transport);
﻿        }
﻿    });
﻿    $$('.sectionEditButton').each(function(item) { item.removeClassName('disabled'); });
﻿}

﻿function displayCurrentVersion(transport) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    if (data.ApplianceUpdate) {
﻿        var versionData = data.ApplianceUpdate;
﻿        var version = versionData.currentVersion;
﻿        var build = Translator.translate('mainMenu.buildNotDetermined');
﻿        var index = version.lastIndexOf(".");
﻿        build = version.substring(index + 1);
﻿        version = version.substring(0, index);
﻿        $('version').innerHTML = version;
﻿        $('build').innerHTML = build;
﻿    }
﻿}

﻿function buildTimeZoneDesignation( ) {
﻿    var date = new Date();
﻿    var timeZoneAsString = "GMT";
﻿    var offset = date.getTimezoneOffset();
﻿    if ((offset / 60 > 0) && (offset / 60 < 10)) {
﻿        timeZoneAsString = timeZoneAsString + "-" + (offset / 60);
﻿    } else if ((offset < 0) && (offset / 60 > -10)) {
﻿        timeZoneAsString = timeZoneAsString + "+" + (-1 * offset / 60);
﻿    }
﻿    return timeZoneAsString;

﻿}

﻿function refreshApplianceUpdateInfo() {
﻿    var ajaxRequest = new Ajax.Request(urlConfig.getApplianceUpdateInfo, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayApplianceUpdateInfo(transport);
﻿        }
﻿    });
﻿}

﻿function enableProcessingInModal(message) {
﻿    $('block_section_modalContent_0_0_0').innerHTML = '<div id="divNewMsgStarting"><div style="float:left;margin:15px 20px 15px 0px;"><img id="update_status_icon" src="images/loading_icon.gif" alt="" /></div><div id="update_status" style="float:left;margin:20px 0;width:260px;">' + message + '</div></div>';
﻿}

﻿function submitLogout() {
﻿    var form = document.createElement("form"); 
    form.setAttribute("method","post"); 
    form.setAttribute("action","j_spring_security_logout"); 
    var hiddenField1 = document.createElement("input"); 
    hiddenField1.setAttribute("type", "hidden"); 
    hiddenField1.setAttribute("name", "_csrf"); 
    hiddenField1.setAttribute("value", this.getMeta('_csrf')); 
    form.appendChild(hiddenField1); 
    document.body.appendChild(form);    // Not entirely sure if this is necessary 
    form.submit();
    window.location.href = 'login.html?timeout=true';
    
}

function getMeta(metaName) {
    const metas = document.getElementsByTagName('meta');
    for (let i = 0; i < metas.length; i++) {
      if (metas[i].getAttribute('name') === metaName) {
        return metas[i].getAttribute('content');
      }
    }
    return null;
}

﻿function clearTestConnectionResult() {
﻿    $('val_icn_app_update').removeClassName('val-fail');
﻿    $('val_icn_app_update').removeClassName('val-success');
﻿    $('val_icn_app_update').removeClassName('val-waiting');
﻿    $('val_msg_app_update').innerHTML = '';
﻿}

﻿function clearBackupSettingsPassword() {
﻿    $('backupLocationPassword').innerHTML = "";
﻿    $('encryptionPassword').innerHTML = "";
﻿    $('encryptionVPassword').innerHTML = "";
﻿}

﻿function clearProxyPassword() {
﻿    $('password').innerHTML = "";
﻿    if ($('useCreds').innerHTML == Translator.translate('generic.no')) {
﻿        $('username').innerHTML = "";
﻿    }
﻿}

﻿function resetProxyPassword() {
﻿    new Ajax.Request(urlConfig.getProxy, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) { displayProxy(transport); },
﻿        onFailure: function(transport) { displayProxy(transport); }
﻿    });
}

function resetDeploymentMode() {
﻿    new Ajax.Request(urlConfig.getDeploymentMode, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) { displayDeploymentMode(transport); },
﻿        onFailure: function(transport) { displayDeploymentMode(transport); }
﻿    });
}

function reloadAutomaticBackupSchedule(){
    new Ajax.Request(urlConfig.getBackupSchedule, {
        method: 'get',
        asynchronous: false,
        onComplete: function(transport) {
            displayBackupSchedule(transport);
        }
    });
}

﻿function clearBackupSettingsForm() {
﻿    new Ajax.Request(urlConfig.getBackupSettings, {
﻿        method: 'get',
﻿        onComplete: function(transport) {
﻿            displayBackupSettings(transport);
﻿        }
﻿    });
﻿}

﻿function onLoadAppliancePage() {

﻿    $$('.sectionEditButton').each(function(item) { item.addClassName('disabled'); });

﻿    refreshApplianceUpdateInfo();

    new Ajax.Request(urlConfig.getStratusMPVersion, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayStratusMPUpdateInfo(transport);
﻿        }
﻿    });

﻿    new Ajax.Request(urlConfig.getNetworkInfo, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayNetworkInfo(transport);
﻿        }
﻿    });

﻿    new Ajax.Request(urlConfig.getApplianceCertificateInfo, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayApplianceCertificateInfo(transport);
﻿        }
﻿    });

﻿    new Ajax.Request(urlConfig.getNtpSettings, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayNtpSettings(transport, true);
﻿        }
﻿    });

﻿    new Ajax.Request(urlConfig.getProxy, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayProxy(transport);
﻿        },
﻿        onFailure: function(transport) { displayProxy(transport); }
﻿    });

    new Ajax.Request(urlConfig.getDeploymentMode, {
﻿        method: 'get',
﻿        asynchronous: false,
        onComplete: function(transport) {
﻿            displayDeploymentMode(transport);
﻿        },
﻿        onFailure: function(transport) { displayDeploymentMode(transport); }
    ﻿});

    new Ajax.Request(urlConfig.getExtendedMonitoring, {
﻿        method: 'get',
﻿        asynchronous: false,
        onComplete: function(transport) {
﻿            displayExtMont(transport, true);
﻿        }
﻿    });

﻿    $$('.sectionEditButton').each(function(item) { item.removeClassName('disabled'); });

﻿}

﻿function onLoadAlertsPage() {

﻿    $$('.sectionEditButton').each(function(item) { item.addClassName('disabled'); });
    new Ajax.Request(urlConfig.getAlert, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayAlert(transport);
﻿        }
﻿    });

﻿    $$('.sectionEditButton').each(function(item) { item.removeClassName('disabled'); });
﻿}

﻿function checkForSecurityAndLogout(strMsg) {

﻿    if (strMsg.match('AdminPortalSecurityException')) {
﻿        alert(Translator.translate('generic.errors.webRequestAuthorizationFailed'));
﻿        submitLogout();
﻿    }
﻿}

﻿function getSecretKey() {
﻿    // @CSRF
﻿    if (!$.sessionizer.isAvailable()) {
﻿        return $('fldSecretKey').value;
﻿    } else {
﻿        return $.sessionizer.get('secretKey');
﻿    }
﻿}


﻿function getLocalDateTime(utcDateTime) {
    if (utcDateTime == Translator.translate("generic.notConfigured") || utcDateTime == Translator.translate("generic.unknown")) {
        return 'NaN';
    }
    var now = new Date();
    var offset = now.getTimezoneOffset();
    offset = offset * 1000 * 60;
    var timeInMillis = Date.parse(utcDateTime);
    var finalDate = new Date();
    if (offset > 0) {
        finalDate.setTime(timeInMillis - offset);
    } else {
        finalDate.setTime(timeInMillis +  Math.abs(offset));
    }
    finalDate = new Date(finalDate.getFullYear(), finalDate.getMonth(), finalDate.getDate(), finalDate.getHours(), finalDate.getMinutes(), 0);
    return finalDate;

﻿}

﻿function getTimePart(time) {
﻿    var timeValue = time.split(":", 3);
﻿    if (timeValue.length >= 2) {
﻿        if (timeValue[0].length == 1) {
﻿            timeValue[0] = "0" + timeValue[0];
﻿        }
﻿        if (timeValue[1].length == 1) {
﻿            timeValue[1] = "0" + timeValue[1];
﻿        }
﻿        return timeValue[0] + ":" + timeValue[1];
﻿    } else {
﻿        return time;
﻿    }
﻿}
function loadSortedCountryList() {
    var ajaxRequest = new Ajax.Request(urlConfig.sortedCountryList, {
        method: 'get',
        onComplete: function(transport) {
            var options = transport.responseText.evalJSON(true).options;
            var countrySelect = $('country');
            var selectText = Translator.translate('generic.selectCountry');
            var optSelectCountry = document.createElement('option');
            optSelectCountry.text = selectText;
            optSelectCountry.value = "";
            countrySelect.options.add(optSelectCountry);
            options.each(function(option) {
                var opt = document.createElement('option');
                opt.text = option.text;
                opt.value = option.value;
                countrySelect.options.add(opt);
            });
        }
    });
}


function updateApplianceOnLoad(){
     var currentVersion   = $('current_appliance_version').innerHTML,
     availableVersionType = $('available_appliance_version_type').innerHTML;
     
 if( $('upgradePossible').value == 'true' ){
     $('currentApplianceVersion').innerHTML = currentVersion;
     $('availableApplianceVersion').innerHTML = availableVersion;
     $('availableApplianceVersionType').innerHTML = availableVersionType;
     $('view-1').setStyle({display:'block'})
 }else if($('available_appliance_version_type').value.equals("OVF")){
     $('view-2').setStyle({display:'block'})
     $('btnUpgrade').addClassName('stdButtonDisabled').setAttribute('disabled','disabled');
 }else{
     $('view-2').setStyle({display:'block'})
     $('btnUpgrade').addClassName('stdButtonDisabled').setAttribute('disabled','disabled');
 }
}

var generateCsr = {
    view1: {
        next: function (event) {
            showHide('view-2', 'view-1');

            $('container_modalContent')
                .down('.containerBottom')
                .removeClassName('adjustLayout');
        }
    }
};

function refreshExtMonSettings() {
    new Ajax.Request(urlConfig.getExtendedMonitoring, {
﻿        method: 'get',
﻿        asynchronous: false,
﻿        onComplete: function(transport) {
﻿            displayExtMont(transport, false);
﻿        }
﻿    });
}

function refreshExtMontonCancel() {
    cancelEditMode('section_9_0');
    new Ajax.Request(urlConfig.getExtendedMonitoring, {
﻿        method: 'get',
﻿        asynchronous: false,
        onComplete: function(transport) {
﻿            displayExtMont(transport, true);
﻿        }
﻿    });
﻿}

var ExtendedMonitoring = Class.create({
    ﻿    initialize: function() {
    ﻿        this.ext_enabled;
            this.snmp_enabled;
        }
    ﻿});

﻿function displayExtMont(transport, shouldClearMessages) {
﻿    var data = transport.responseText.evalJSON(true);
﻿    document.getElementById('msgBox_section_9_0_0').style.display = "none";
    
    var result_style = document.getElementById('ExtWarning').style;
    result_style.display = 'none';

    if (shouldClearMessages) {
        // Hide any old Failure or Success message using a blind up effect.
        var sectionMessagesId = 'section_9_0_messages';
        $(sectionMessagesId).select('div.msgFailure').each(function(item) { item.blindUp(); });
        $(sectionMessagesId).select('div.msgSuccess').each(function(item) { item.blindUp(); });
    }

﻿    if (data.ExtendedMonitoring) {
﻿        var settings = data.ExtendedMonitoring;
﻿        $('ext_enabled').value = settings.ext_enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');
﻿        $('ext_enabled').innerHTML = settings.ext_enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');
        
        var extEnabled = settings.ext_enabled;
        
        if( !extEnabled ){
            $('snmp_enabled').innerHTML = Translator.translate('generic.disabled');
            $('snmp_enabled').value = Translator.translate('generic.disabled');
        }
        else{
            $('snmp_enabled').value = settings.snmp_enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');
            ﻿$('snmp_enabled').innerHTML = settings.snmp_enabled == true ? Translator.translate('generic.enabled') : Translator.translate('generic.disabled');        
        }
        
        $('ext_license_expired').value = settings.ext_license_expired;

﻿    }
﻿}


﻿function checkExtMont(msgBxId) {
    
       var msgBoxDv = $(msgBxId);
       var useExtHidden = $('ext_license_expired');

 try {
     if (useExtHidden!=null && useExtHidden.value=='true') {
         document.getElementById(msgBxId).style.display = "block";
         }
     else
         {
                document.getElementById(msgBxId).style.display = "none";
         }
     
     }
  catch(e) {

 }

 
﻿}

﻿function checkQueryString() {
	var url = "";
	var querystring = document.location.href;
	if (querystring.indexOf("?") != -1) {
		querystring = querystring.split("?");
		if (querystring.length == 2) {
			url = querystring[0];
			querystring = querystring[1].split("&");
			if (querystring.length > 0) {
				//Only considering the first parameter.
				querystring = querystring[0].split("=");
				if (querystring.length == 2) {
					var key = querystring[0];
					var value = querystring[1];
					if (key == 'timeout' && value == 'true') {
						window.location.href = url;
					}
				}
			}
		}

	}

}

function postLoginRequest() {
	postLogin.post();
}
