﻿var LoginInfo = Class.create({
    initialize: function (loginname, password) {
        this.UserName = loginname;
        this.Password = password;
    }
});

var LoginResponse = Class.create({
    initialize: function () {
        this.responseCode = '';
        this.responseTitle = '';
        this.responseMessage = '';
        this.URL='';
        this.secretKey='';
    }
});

var postLogin = {
    timer: null,
    posted: null,
    getMeta: function(metaName) {
        const metas = document.getElementsByTagName('meta');
        for (let i = 0; i < metas.length; i++) {
          if (metas[i].getAttribute('name') === metaName) {
            return metas[i].getAttribute('content');
          }
        }
        return null;
    },
    post: function () {
        var login = new LoginInfo($('userName').value, $('password').value);
        //turn on verify
        $('loginContainer').addClassName('loginVerify');
        //post the form
        new Ajax.Request(urlConfig.loginPost, {
            method: urlConfig.postLoginMethod,
            parameters: login,
            onSuccess: function (transport) { postLogin.success(transport.responseText) }
        });
        postLogin.posted = true;
        return false;
    },
    success: function (obj) {
    //check if post was cancelled
        if (postLogin.posted == true) {
            postLogin.posted == false;
            //check responseCode and send to url if 0
            var loginResponse = obj.evalJSON(true).LoginResponse;
            if (loginResponse.responseCode == 0) {
                //Create a form on the fly and submit to spring security /login.
                var form = document.createElement("form"); 
                form.setAttribute("method","post"); 
                form.setAttribute("action","j_spring_security_check"); 
                var hiddenField1 = document.createElement("input"); 
                hiddenField1.setAttribute("type", "hidden"); 
                hiddenField1.setAttribute("name", "_csrf"); 
                hiddenField1.setAttribute("value", this.getMeta('_csrf')); 
                form.appendChild(hiddenField1); 
                var hiddenField2 = document.createElement("input"); 
                hiddenField2.setAttribute("type", "hidden"); 
                hiddenField2.setAttribute("name", "password"); 
                hiddenField2.setAttribute("id", "password");
                hiddenField2.setAttribute("value", $('password').value); 
                form.appendChild(hiddenField2); 
                document.body.appendChild(form);    // Not entirely sure if this is necessary 
                form.submit();
            } else {
                postLogin.failed(loginResponse);
            }
        }
    },
    failed: function (obj) {
    //fill in error title and message with response
        $('loginErrorTitle').innerHTML = obj.responseTitle;
        $('loginErrorMessage').innerHTML = obj.responseMessage;
        //turn off verify
        $('loginContainer').removeClassName('loginVerify');
        //turn on failed
        $('loginContainer').addClassName('loginError');
        //Clear the password after failed login
        $('password').value='';
        //add timer for calling tryagain after 15 seconds or so
        postLogin.timer = postLogin.tryAgain.delay(15);
        
    },
    tryAgain: function () {
        $('loginContainer').removeClassName('loginError');
        clearTimeout(postLogin.timer);
        return false;
    },
    cancel: function () {
        //clear fields
        $('loginContainer').removeClassName('loginVerify');
        $('loginContainer').removeClassName('loginError');
        clearTimeout(postLogin.timer);
        postLogin.posted = false;
    }
};
var postLogout = {
    post: function () {
        new Ajax.Request(urlConfig.logoutPost, {
            method: urlConfig.postMethod,
            onSuccess: function (transport) { postLogout.success(transport.responseText) }
        });
        return false;
    },
    success: function (obj) {
        var LogoutResponse = obj.evalJSON(true);
        if (LogoutResponse.responseCode == 0) {
            document.location.href = LogoutResponse.URL;
        } else {
            postLogout.failed(LogoutResponse);
        }
    },
    failed: function (obj) {
        //not sure what to do if this fails
    }
};
